#------------------------------------------------------------------------------
# 
#   File Name: chkemm.awk
# Description: GAWK.EXE script file 
#              Used by Install to edit files for a Genesis installation under DOS
#              Move a SET statement before a PATH statement
#     Version: 1.00
#        Date: April 1997
#
#------------------------------------------------------------------------------
#
# COPYRIGHT (c) 1996 Matrox Electronic Systems Ltd.
# All Rights Reserved
#
#------------------------------------------------------------------------------
 
BEGIN {

   if (ARGC < 2)
      {
      printf "gawk -fsetup.awk FILENAME CONDITION                      \n\n"
      printf "where:  FILENAME:  Name of the file to edit                           \n"
      printf "        CONDITION: If CONDITION is found on a line,move the line\n"
      exit 1
      }

   # Initialize variables
   FileName  = ARGV[1]
   NewLine = ARGV[2]
   Line = ""
   TempLine = ""
   GoodLine = ""
   
   for (ii=0; ii<2; ii++)
      ARGV[ii] == ""

   
   # Parse the file: look for CONDITION

   ConditionIsFound = 0

   while( getline<FileName > 0)
   {
      Line = tolower($0)
      split(Line,tmpstr,"=")
      if ( tmpstr[2] == "" || index (tmpstr[1] , "device" ) == 0 ) 
      {
         print > "tempfile"
      }
      else
      {
          if((index(tmpstr[1],"device")!=0) && (index(tmpstr[1],"rem")==0) && (index(tmpstr[1],"\:\:")==0) )
          {
            if ( (index(tmpstr[2],"emm386")!=0))
            {
              if( (index(tmpstr[2],"noems")!=0) && (index(tmpstr[2],"novcpi")!=0) )
              {
                print > "tempfile"
              }
              else
              {
                print "rem by Genesis install" > "tempfile"
                print sprintf("rem %s",$0) > "tempfile"
                ConditionIsFound = 1
                GoodLine = $0
                if(index(tmpstr[2],"noems")==0)
                {
                  GoodLine = sprintf("%s NOEMS",GoodLine)
                }
                if(index(tmpstr[2],"novcpi")==0)
                {
                  GoodLine = sprintf("%s NOVCPI",GoodLine)
                }
                print GoodLine > "tempfile"
              }
            }
            else
            {
               print > "tempfile"
            }
          }
      }
      for (ii in tmpstr)
          delete tmpstr[ii]

   }
   close(FileName)
   close("tempfile")

   if(NewLine=="scan")
   {
     system("del tempfile")
     if(ConditionIsFound == 1 )
     {
       exit 1
     }
     else
     {
       exit 0 
     }
   }
   if(NewLine == "modify")
   {
      system("copy tempfile "FileName"")
   }
   system("del tempfile")
}
 
