@echo off

if not "%1" == "" goto :DOIT
echo Compile and Link utility for a single source.
echo imcl [filename_without_extension]
goto :END

:DOIT
REM Put LOG file in current directory.
REM If not set, put log in ..\log
set LOGFILEPATH=.

REM Select a compiler setting; Only HOST compiler here.
if not "%OS%" == "Windows_NT" if not "%OS%" == "Windows_98" call %RAMDRIVE%imcc /c watcom
if     "%OS%" == "Windows_98" call %RAMDRIVE%imcc /c msdevnt
if     "%OS%" == "Windows_NT" call %RAMDRIVE%imcc /c msdevnt

REM Prevent imcc to create a database of files. Not required for small project.
REM If not unset create file srcfile.inf in LOG directory.
set CHECKINF=

REM Always compile file in current directory with symbolic debugging.
REM If  /o .  not used put object in %OBJDIR%
REM If  /B    not used compile only if required (according to timestamp).
REM Id  /d    not used, no symbolic information in target.
call %RAMDRIVE%imcc /o . /B /d %1

REM Link new object with default Link list for that Compiler/platform.
REM Target executable has the same base name as the source.
call %RAMDRIVE%imlk %1 /L %1.obj /L %DEFAULTLNKLIST%

set LOGFILEPATH=
:END

