# Extract important environment variables from SET to display as a status


# --------------------------------------------------------------------------
function chkVar(var)
{
   _var_ = tolower(var)
   for (varndx in ENVIRON)
      {
      if (tolower(varndx) == _var_)
         {
         printf "%s=%s\n", varndx, ENVIRON[varndx]
         break
         }
      }
}

BEGIN {
   if (ARGC < 1)
      {
      printf "gawk -f stat.awk\n"
      exit 1
      }

   chkVar("COMP_NAME")
   chkVar("PATH")
   chkVar("C_TOOLS")
   chkVar("BATCH")
   chkVar("INCLUDE")
   chkVar("C_DIR")
   chkVar("LIB")
   chkVar("OBJDIR")
   chkVar("RSPFILE")
   chkVar("LNKFORMAT")
   chkVar("DEFAULTLNKLIST")
   chkVar("C_OPTION")
   chkVar("ASM_OPTION")
}
