///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Application C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_BLOBANALYSISTYPES_CPLUSPLUS)
#define __ACTIVEMIL_BLOBANALYSISTYPES_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// include the base enumerations
//
#include "ActiveMILBaseTypes.h"


/////////////////////////////////////////////////////////////////////////////
// Import the enumerations used by the controls
//
// To view the generated enumerations refer to the MILBlobAnalysis.TLH file in your 
// output directory
//
#pragma warning(push)
#pragma warning(disable:4146)

#import <MILBlobAnalysis.ocx> no_implementation \
                              no_namespace \
                              exclude("IBlobRun", \
                                      "BlobRun", \
                                      "IBlobRuns", \
                                      "BlobRuns", \
                                      "IBlobFeatureBox", \
                                      "BlobFeatureBox", \
                                      "IBlobFeatureContactPoints", \
                                      "BlobFeatureContactPoints", \
                                      "IBlobFeatureCenterOfGravity", \
                                      "BlobFeatureCenterOfGravity", \
                                      "IBlobFeatureGeneralMoment", \
                                      "BlobFeatureGeneralMoment", \
                                      "IBlobFeatureGeneralFeret", \
                                      "BlobFeatureGeneralFeret", \
                                      "IBlobFeatureList", \
                                      "BlobFeatureList", \
                                      "IBlobPixel", \
                                      "BlobPixel", \
                                      "IBlobPixels", \
                                      "BlobPixels", \
                                      "IBlobChain", \
                                      "BlobChain", \
                                      "IBlobChains", \
                                      "BlobChains", \
                                      "IBlobFilter", \
                                      "BlobFilter", \
                                      "IBlobFilters", \
                                      "BlobFilters", \
                                      "IBlobSortingKey", \
                                      "BlobSortingKey", \
                                      "IBlobSortingKeys", \
                                      "BlobSortingKeys", \
                                      "IBlobResult", \
                                      "BlobResult", \
                                      "IBlobResults", \
                                      "BlobResults", \
                                      "IBlobAnalysis", \
                                      "IBlobAnalysisControl", \
                                      "IBlobAnalysisEvents", \
                                      "BlobAnalysis")


#pragma warning(pop)

#endif // __ACTIVEMIL_BLOBANALYSISTYPES_CPLUSPLUS