///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Application C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_IMAGEPROCESSINGTYPES_CPLUSPLUS)
#define __ACTIVEMIL_IMAGEPROCESSINGTYPES_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// include the base enumerations
//
#include "ActiveMILBaseTypes.h"


/////////////////////////////////////////////////////////////////////////////
// Import the enumerations used by the controls
//
// To view the generated enumerations refer to the MILimageProcessing.TLH file in your 
// output directory
//
#pragma warning(push)
#pragma warning(disable:4146)

#import <MILImageProcessing.ocx> no_implementation \
                                 no_namespace \
                                 exclude("ILocateEventsResult", \
                                         "IImageProcessingResults", \
                                         "IKernel", \
                                         "IKernels", \
                                         "IStructuringElement", \
                                         "IStructuringElements", \
                                         "IPolarParameters", \
                                         "IWarpQuadrilateral", \
                                         "IWarpRectangle", \
                                         "IWarpLUT", \
                                         "IWarpParameters", \
                                         "IImageProcessing", \
                                         "ILUTs", \
                                         "ILUT", \
                                         "IImageProcessingControl", \
                                         "IImageProcessingEvents", \
                                         "ImageProcessing", \
                                         "ImageProcessingResults", \
                                         "LocateEventsResult", \
                                         "Kernels", \
                                         "StructuringElements", \
                                         "StructuringElement", \
                                         "Kernel", \
                                         "PolarParameters", \
                                         "WarpParameters", \
                                         "WarpQuadrilateral", \
                                         "WarpRectangle", \
                                         "WarpLUT", \
                                         "LUTDataTypeConstants", \
                                         "LUTFunctionConstants", \
                                         "LUTBandConstants")

#pragma warning(pop)

#endif // __ACTIVEMIL_IMAGEPROCESSINGTYPES_CPLUSPLUS