///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Application C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_PATTERNMATCHINGTYPES_CPLUSPLUS)
#define __ACTIVEMIL_PATTERNMATCHINGTYPES_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// include the base enumerations
//
#include "ActiveMILBaseTypes.h"


/////////////////////////////////////////////////////////////////////////////
// Import the enumerations used by the controls
//
// To view the generated enumerations refer to the MILPatternMatching.TLH file in your 
// output directory
//
#pragma warning(push)
#pragma warning(disable:4146)

#import <MILPatternMatching.ocx> no_implementation \
                                 no_namespace \
                                 exclude("IPatternMatchingSearchAlgorithm", \
                                         "PatternMatchingSearchAlgorithm", \
                                         "IPatternMatchingModel", \
                                         "IRegionOfInterest", \
                                         "IAngle", \
                                         "PatternMatchingModel", \
                                         "IPatternMatchingResult", \
                                         "PatternMatchingResult", \
                                         "IPatternMatchingModels", \
                                         "PatternMatchingModels", \
                                         "IPatternMatchingResults", \
                                         "PatternMatchingResults", \
                                         "IPatternMatching", \
                                         "IPatternMatchingControl", \
                                         "IPatternMatchingEvents", \
                                         "PatternMatching")

#pragma warning(pop)

#endif // __ACTIVEMIL_PATTERNMATCHINGTYPES_CPLUSPLUS