///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Available Systems C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_AVAILABLESYSTEMS_CPLUSPLUS)
#define __ACTIVEMIL_AVAILABLESYSTEMS_CPLUSPLUS

// Dispatch interfaces referenced by this interface
class IAvailableSystem;

/////////////////////////////////////////////////////////////////////////////
// IAvailableSystems wrapper class

class IAvailableSystems : public COleDispatchDriver
{
public:
	IAvailableSystems() {}		// Calls COleDispatchDriver default constructor
	IAvailableSystems(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IAvailableSystems(const IAvailableSystems& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetCount();
	void SetCount(long);
	LPUNKNOWN Get_NewEnum();
	void Set_NewEnum(LPUNKNOWN);

// Operations
public:
	IAvailableSystem Item(const VARIANT& Index);
};

#endif // __ACTIVEMIL_AVAILABLESYSTEMS_CPLUSPLUS
