///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Blob Chain C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_BLOBCHAIN_CPLUSPLUS)
#define __ACTIVEMIL_BLOBCHAIN_CPLUSPLUS

// Dispatch interfaces referenced by this interface
class IBlobPixel;
class IBlobPixels;

/////////////////////////////////////////////////////////////////////////////
// IBlobChain wrapper class

class IBlobChain : public COleDispatchDriver
{
public:
   IBlobChain() {}		// Calls COleDispatchDriver default constructor
   IBlobChain(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
   IBlobChain(const IBlobChain& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
   IBlobPixels GetPixels();
   IBlobPixel GetPixels(long Index);
   void SetPixels(LPDISPATCH);

// Operations
public:
};

#endif // __ACTIVEMIL_BLOBCHAIN_CPLUSPLUS
