///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Calibration Results C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_CALIBRATIONRESULTS_CPLUSPLUS)
#define __ACTIVEMIL_CALIBRATIONRESULTS_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// ICalibrationResults wrapper class

class ICalibrationResults : public COleDispatchDriver
{
public:
	ICalibrationResults() {}		// Calls COleDispatchDriver default constructor
	ICalibrationResults(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ICalibrationResults(const ICalibrationResults& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	double GetPixelSizeX();
	void SetPixelSizeX(double);
	double GetPixelSizeY();
	void SetPixelSizeY(double);
	double GetPixelAspectRatio();
	void SetPixelAspectRatio(double);
	double GetAveragePixelError();
	void SetAveragePixelError(double);
	double GetMaximumPixelError();
	void SetMaximumPixelError(double);
	double GetAverageWorldError();
	void SetAverageWorldError(double);
	double GetMaximumWorldError();
	void SetMaximumWorldError(double);

// Operations
public:
};

#endif // __ACTIVEMIL_CALIBRATIONRESULTS_CPLUSPLUS
