///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Feature Contact Points C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_FEATURECONTACTPOINT_CPLUSPLUS)
#define __ACTIVEMIL_FEATURECONTACTPOINT_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IBlobFeatureContactPoints wrapper class

class IBlobFeatureContactPoints : public COleDispatchDriver
{
public:
	IBlobFeatureContactPoints() {}		// Calls COleDispatchDriver default constructor
	IBlobFeatureContactPoints(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IBlobFeatureContactPoints(const IBlobFeatureContactPoints& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	BOOL GetXMinimumAtYMinimum();
	void SetXMinimumAtYMinimum(BOOL);
	BOOL GetXMaximumAtYMaximum();
	void SetXMaximumAtYMaximum(BOOL);
	BOOL GetYMinimumAtXMaximum();
	void SetYMinimumAtXMaximum(BOOL);
	BOOL GetYMaximumAtXMinimum();
	void SetYMaximumAtXMinimum(BOOL);

// Operations
public:
};

#endif // __ACTIVEMIL_FEATURECONTACTPOINT_CPLUSPLUS
