///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Image Processing Results C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_IMAGEPROCESSINGRESULTS_CPLUSPLUS)
#define __ACTIVEMIL_IMAGEPROCESSINGRESULTS_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IImageProcessingResults wrapper class

class IImageProcessingResults : public COleDispatchDriver
{
public:
	IImageProcessingResults() {}		// Calls COleDispatchDriver default constructor
	IImageProcessingResults(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IImageProcessingResults(const IImageProcessingResults& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetCount();
	void SetCount(long);
	long GetMilID();
	void SetMilID(long);
	LPUNKNOWN Get_NewEnum();
	void Set_NewEnum(LPUNKNOWN);

// Operations
public:
	VARIANT Item(long Index);
	void Get(long ResultField, const VARIANT& UserArray);
};

#endif // __ACTIVEMIL_IMAGEPROCESSINGRESULTS_CPLUSPLUS
