///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// JPEG Algorithm C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_JPEGALGORITHM_CPLUSPLUS)
#define __ACTIVEMIL_JPEGALGORITHM_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IJPEGAlgorithm wrapper class

class IJPEGAlgorithm : public COleDispatchDriver
{
public:
	IJPEGAlgorithm() {}		// Calls COleDispatchDriver default constructor
	IJPEGAlgorithm(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IJPEGAlgorithm(const IJPEGAlgorithm& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	VARIANT GetHuffmanAC();
	void SetHuffmanAC(const VARIANT&);
	VARIANT GetHuffmanDC();
	void SetHuffmanDC(const VARIANT&);
	long GetPredictor();
	void SetPredictor(long);
	long GetQFactor();
	void SetQFactor(long);
	VARIANT GetQuantization();
	void SetQuantization(const VARIANT&);
	long GetRestartInterval();
	void SetRestartInterval(long);

// Operations
public:
};

#endif // __ACTIVEMIL_JPEGALGORITHM_CPLUSPLUS
