///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Measurement List C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_MEASUREMENTLIST_CPLUSPLUS)
#define __ACTIVEMIL_MEASUREMENTLIST_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IMeasurementList wrapper class

class IMeasurementList : public COleDispatchDriver
{
public:
	IMeasurementList() {}		// Calls COleDispatchDriver default constructor
	IMeasurementList(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IMeasurementList(const IMeasurementList& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	BOOL GetAngle();
	void SetAngle(BOOL);
	BOOL GetContrast();
	void SetContrast(BOOL);
	BOOL GetDistance();
	void SetDistance(BOOL);
	BOOL GetEdgeInside();
	void SetEdgeInside(BOOL);
	BOOL GetEdgeStrength();
	void SetEdgeStrength(BOOL);
	BOOL GetEdgeValues();
	void SetEdgeValues(BOOL);
	BOOL GetLength();
	void SetLength(BOOL);
	BOOL GetLineEquation();
	void SetLineEquation(BOOL);
	BOOL GetMaximumPosition();
	void SetMaximumPosition(BOOL);
	BOOL GetMinimumPosition();
	void SetMinimumPosition(BOOL);
	BOOL GetOrientation();
	void SetOrientation(BOOL);
	BOOL GetPolarity();
	void SetPolarity(BOOL);
	BOOL GetPosition();
	void SetPosition(BOOL);
	BOOL GetPositionVariation();
	void SetPositionVariation(BOOL);
	BOOL GetSpacing();
	void SetSpacing(BOOL);
	BOOL GetWidth();
	void SetWidth(BOOL);
	BOOL GetWidthVariation();
	void SetWidthVariation(BOOL);

// Operations
public:
	void SelectAll();
	void DeselectAll();
};

#endif // __ACTIVEMIL_MEASUREMENTLIST_CPLUSPLUS
