///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Measurement Markers C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_MEASUREMENTMARKERS_CPLUSPLUS)
#define __ACTIVEMIL_MEASUREMENTMARKERS_CPLUSPLUS

// Include enumerated types
#include "ActiveMILMeasurementTypes.h"

// Dispatch interfaces referenced by this interface
class IMeasurementMarker;

/////////////////////////////////////////////////////////////////////////////
// IMeasurementMarkers wrapper class

class IMeasurementMarkers : public COleDispatchDriver
{
public:
	IMeasurementMarkers() {}		// Calls COleDispatchDriver default constructor
	IMeasurementMarkers(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IMeasurementMarkers(const IMeasurementMarkers& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetCount();
	void SetCount(long);

// Operations
public:
	IMeasurementMarker Item(long Index);
	void Remove(long Index);
	long Add(long MarkerType = measEdge);
   long Load(LPCTSTR FileName);
};

#endif // __ACTIVEMIL_MEASUREMENTMARKERS_CPLUSPLUS
