///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// OCR Font C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_OCRFONT_CPLUSPLUS)
#define __ACTIVEMIL_OCRFONT_CPLUSPLUS

// Dispatch interfaces referenced by this interface
class IOCRCharacterMetrics;

/////////////////////////////////////////////////////////////////////////////
// IOCRFont wrapper class

class IOCRFont : public COleDispatchDriver
{
public:
	IOCRFont() {}		// Calls COleDispatchDriver default constructor
	IOCRFont(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IOCRFont(const IOCRFont& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetNumberOfCharacters();
	void SetNumberOfCharacters(long);
	CString GetCharacterList();
	void SetCharacterList(LPCTSTR);
	IOCRCharacterMetrics GetCharacter();
	void SetCharacter(LPDISPATCH);
	long GetMilID();
	void SetMilID(long);

// Operations
public:
	void Invert();
	void ImportGrayscale(LPCTSTR SourceImage, LPCTSTR CharacterList);
	void ExportGrayscale(LPCTSTR DestinationImage, LPCTSTR CharacterList);
	void EraseCharacter(LPCTSTR CharacterToErase);
};

#endif // __ACTIVEMIL_OCRFONT_CPLUSPLUS
