///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// OCR Result Character C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_OCRRESULTCHARACTER_CPLUSPLUS)
#define __ACTIVEMIL_OCRRESULTCHARACTER_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IOCRResultCharacter wrapper class

class IOCRResultCharacter : public COleDispatchDriver
{
public:
	IOCRResultCharacter() {}		// Calls COleDispatchDriver default constructor
	IOCRResultCharacter(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IOCRResultCharacter(const IOCRResultCharacter& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	BOOL GetValid();
	void SetValid(BOOL);
	CString GetValue();
	void SetValue(LPCTSTR);
	double GetScore();
	void SetScore(double);
	double GetPositionX();
	void SetPositionX(double);
	double GetPositionY();
	void SetPositionY(double);

// Operations
public:
};

#endif // __ACTIVEMIL_OCRRESULTCHARACTER_CPLUSPLUS
