///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// OCR Results C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_OCRRESULTS_CPLUSPLUS)
#define __ACTIVEMIL_OCRRESULTS_CPLUSPLUS

// Dispatch interfaces referenced by this interface
class IOCRResultCharacter;
class IOCRResultCharacters;

/////////////////////////////////////////////////////////////////////////////
// IOCRResults wrapper class

class IOCRResults : public COleDispatchDriver
{
public:
   IOCRResults() {}		// Calls COleDispatchDriver default constructor
   IOCRResults(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
   IOCRResults(const IOCRResults& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
   IOCRResultCharacters GetCharacters();
   IOCRResultCharacter GetCharacters(long Index);
   void SetCharacters(LPDISPATCH);
   BOOL GetValid();
   void SetValid(BOOL);
   CString GetValue();
   void SetValue(LPCTSTR);
   double GetScore();
   void SetScore(double);
   long GetMilID();
   void SetMilID(long);

// Operations
public:
   void Get(long ResultType, const VARIANT& UserArray);
};

#endif // __ACTIVEMIL_OCRRESULTS_CPLUSPLUS
