///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Pattern Matching Result C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_PATTENMATCHINGRESULT_CPLUSPLUS)
#define __ACTIVEMIL_PATTENMATCHINGRESULT_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IPatternMatchingResult wrapper class

class IPatternMatchingResult : public COleDispatchDriver
{
public:
	IPatternMatchingResult() {}		// Calls COleDispatchDriver default constructor
	IPatternMatchingResult(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IPatternMatchingResult(const IPatternMatchingResult& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	double GetScore();
	void SetScore(double);
	double GetPositionX();
	void SetPositionX(double);
	double GetPositionY();
	void SetPositionY(double);
	double GetAngle();
	void SetAngle(double);
	double GetOrientation();
	void SetOrientation(double);
	long GetModelIndex();
	void SetModelIndex(long);

// Operations
public:
};

#endif // __ACTIVEMIL_PATTENMATCHINGRESULT_CPLUSPLUS
