///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Pattern Matching Results C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_PATTERNMATCHINGRESULTS_CPLUSPLUS)
#define __ACTIVEMIL_PATTERNMATCHINGRESULTS_CPLUSPLUS

// Dispatch interfaces referenced by this interface
class IPatternMatchingResult;

/////////////////////////////////////////////////////////////////////////////
// IPatternMatchingResults wrapper class

class IPatternMatchingResults : public COleDispatchDriver
{
public:
	IPatternMatchingResults() {}		// Calls COleDispatchDriver default constructor
	IPatternMatchingResults(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IPatternMatchingResults(const IPatternMatchingResults& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetCount();
	void SetCount(long);
	LPUNKNOWN Get_NewEnum();                                       
	void Set_NewEnum(LPUNKNOWN);
   long GetMilID(long ResultIndex);
   void SetMilID(long ResultIndex, long Value);

// Operations
public:
	IPatternMatchingResult Item(long Index);
	void Get(long ResultType, const VARIANT& UserArray);
};

#endif // __ACTIVEMIL_PATTERNMATCHINGRESULTS_CPLUSPLUS
