///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Pixels C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_PIXELS_CPLUSPLUS)
#define __ACTIVEMIL_PIXELS_CPLUSPLUS

// Dispatch interfaces referenced by this interface
class IBlobPixel;

/////////////////////////////////////////////////////////////////////////////
// IBlobPixels wrapper class

class IBlobPixels : public COleDispatchDriver
{
public:
	IBlobPixels() {}		// Calls COleDispatchDriver default constructor
	IBlobPixels(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IBlobPixels(const IBlobPixels& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetCount();
	void SetCount(long);

// Operations
public:
	IBlobPixel Item(long Index);
};

#endif // __ACTIVEMIL_PIXELS_CPLUSPLUS
