///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Structuring Element C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_STRUCTURINGELEMENT_CPLUSPLUS)
#define __ACTIVEMIL_STRUCTURINGELEMENT_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IStructuringElement wrapper class

class IStructuringElement : public COleDispatchDriver
{
public:
	IStructuringElement() {}		// Calls COleDispatchDriver default constructor
	IStructuringElement(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IStructuringElement(const IStructuringElement& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetSizeX();
	void SetSizeX(long);
	long GetSizeY();
	void SetSizeY(long);
	long GetCenterX();
	void SetCenterX(long);
	long GetCenterY();
	void SetCenterY(long);
	long GetOverscanType();
	void SetOverscanType(long);
	double GetOverscanValue();
	void SetOverscanValue(double);
	long GetDataType();
	void SetDataType(long);
	long GetMilID();
	void SetMilID(long);

// Operations
public:
	double GetData(long X, long Y);
	void SetData(long X, long Y, double newValue);
};

#endif // __ACTIVEMIL_STRUCTURINGELEMENT_CPLUSPLUS
