///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Warp LUT C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_WARPLUT_CPLUSPLUS)
#define __ACTIVEMIL_WARPLUT_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IWarpLUT wrapper class

class IWarpLUT : public COleDispatchDriver
{
public:
	IWarpLUT() {}		// Calls COleDispatchDriver default constructor
	IWarpLUT(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IWarpLUT(const IWarpLUT& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetSizeX();
	void SetSizeX(long);
	long GetSizeY();
	void SetSizeY(long);
	long GetNumberOfBands();
	void SetNumberOfBands(long);
	long GetNumberOfFractionalBits();
	void SetNumberOfFractionalBits(long);
	long GetDataDepth();
	void SetDataDepth(long);

// Operations
public:
	long GetDataX(long X, long Y);
	void SetDataX(long X, long Y, long nNewValue);
	long GetDataY(long X, long Y);
	void SetDataY(long X, long Y, long nNewValue);
	void Get(const VARIANT& UserArrayX, const VARIANT& UserArrayY);
	void Put(const VARIANT& UserArrayX, const VARIANT& UserArrayY);
};

#endif // __ACTIVEMIL_WARPLUT_CPLUSPLUS
