Attribute VB_Name = "HelperFunctions"
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'
' Examples Module:
'   This module implements helper functions used in ActiveMIL examples.
'
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Public Sub AdjustStepNumber(Example As frmExample)
    
    With Example
        ' increment the step counter and write the step number in the frame
        .cmdNext.Tag = .cmdNext.Tag + 1
        .lblStep.Caption = "Step " & .cmdNext.Tag & ":"
    End With
    
End Sub

Public Sub AdjustForm(Example As frmExample)
    Dim MaxDisplayWidth As Long, MaxNextStepWidth As Long
    
    With Example
        .Display.Width = .ImageBuffer.SizeX
        .Display.Height = .ImageBuffer.SizeY
        
        MaxDisplayWidth = .Display.Width + (2 * .Display.Left)
        MaxNextStepWidth = .cmdNext.Left + .cmdNext.Width + .lblStep.Left
        
        If MaxNextStepWidth > MaxDisplayWidth Then
            .Width = (MaxNextStepWidth * Screen.TwipsPerPixelX) + 120
        Else
            .Width = (MaxDisplayWidth * Screen.TwipsPerPixelX) + 120
        End If
        
        .Height = 540 + (.Display.Top + .Display.Height) * Screen.TwipsPerPixelY
    End With
    
End Sub

