Attribute VB_Name = "HelperFunctions"
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'
' Examples Module:
'   This module implements helper functions used in ActiveMIL examples.
'
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Public Sub AdjustStepNumber(Example As frmExample)
    
    ' increment the step counter and write the step number in the frame
    Example.cmdNext.Tag = Example.cmdNext.Tag + 1
    Example.lblStep.Caption = "Step " & Example.cmdNext.Tag & ":"
    
End Sub

Public Sub AdjustForm(Example As frmExample)
    Dim MaxDisplayWidth As Long, MaxNextStepWidth As Long
    
    Example.Display.Width = Example.Digitizer.SizeX
    Example.Display.Height = Example.Digitizer.SizeY
    
    MaxDisplayWidth = Example.Display.Width + (2 * Example.Display.Left)
    MaxNextStepWidth = Example.cmdNext.Left + Example.cmdNext.Width + Example.lblStep.Left
    
    If MaxNextStepWidth > MaxDisplayWidth Then
        Example.Width = (MaxNextStepWidth * Screen.TwipsPerPixelX) + 120
    Else
        Example.Width = (MaxDisplayWidth * Screen.TwipsPerPixelX) + 120
    End If
    
    Example.Height = 540 + (Example.Display.Top + Example.Display.Height) * Screen.TwipsPerPixelY
    
End Sub

