; File name: mgrab.cl 
; Synopsis:  This program grabs an image from the default camera.
;


; Disable the automatic printing of the return values of commands
silence 1

MIL_ID MilApplication ; Application identifier.
MIL_ID MilSystem      ; System identifier.  
MIL_ID MilDisplay     ; Display identifier.
MIL_ID MilDigitizer   ; Digitizer identifier.  
MIL_ID MilImage       ; Image buffer identifier.  


; Allocate defaults.
MappAllocDefault M_SETUP &MilApplication &MilSystem &MilDisplay &MilDigitizer &MilImage

; Grab an image.
MdigGrab MilDigitizer MilImage

; Report what has happened to the Host screen.
echo "An image has been grabbed."
pause "Press <Enter> to end."

; Release defaults. 
MappFreeDefault MilApplication MilSystem MilDisplay MilDigitizer MilImage


; Enable the automatic printing of the return values of commands
silence 0
