; File name: mfreed.cl
; Synopsis : This command list simulates the behavior of the Matrox Imaging
;            Library MappFreeDefault macro. It frees the system defaults which
;            were allocated using the MappAllocDefault() command.
; Usage    : MsysFreeDefault MIL_ID ApplicationId, MIL_ID SystemId,
;			     MIL_ID DisplayId, MIL_ID Digitizer,
;                            MIL_ID ImageId

; free the image buffer 
if ( #5 != M_NULL )       
   {                          
   MbufFree #5        
   }                          
                                       
; release current digitizer of Intellicam current system
; no special code for it

; release current display of Intellicam current system
if ( #3 != M_NULL )       
   {                          
   if (M_DEF_DISPLAY_KEY_DISABLE_ON_FREE != 0)
      {
      if ([MdispInquire #3 M_DISP_KEY_SUPPORTED 0])
         {
         MdispOverlayKey #3 M_KEY_OFF M_NULL M_NULL M_NULL
         }
      }
   }                          

; release current system of Intellicam
; no special code for it

; release the digitizer, if allocated by us
if ( #4 != M_NULL )
   {
	if ( [getnbr FreeDig] != 0)
	   {
      MdigFree [getnbr DigID]
      }
   }

; clear global and current error on the application
MappGetError M_CURRENT M_NULL
MappGetError M_GLOBAL M_NULL

