/* File name: mstart.c 
 * Synopsis:  This program displays a welcoming message to the user.
 */

#include <stdio.h>
#include <mil.h>

void main(void)
{
   MIL_ID MilApplication,  /* Application identifier.  */
          MilSystem,       /* System identifier.       */
          MilDisplay,      /* Display identifier.      */
          MilImage;        /* Image buffer identifier. */

   /* Allocate defaults. */
   MappAllocDefault(M_SETUP, &MilApplication, &MilSystem,
                    &MilDisplay, M_NULL, &MilImage);

   /* Print a string in the image buffer. */
   MgraText(M_DEFAULT, MilImage, 176L, 210L, MT(" ------------------ "));
   MgraText(M_DEFAULT, MilImage, 176L, 235L, MT(" Welcome to MIL !!! "));
   MgraText(M_DEFAULT, MilImage, 176L, 260L, MT(" ------------------ "));

   /* Print a message on the host screen. */
   printf("\n");
   printf("\"Welcome to MIL !!!\" was printed.\n\n");
   printf("Press <Enter> to end.\n");
   getchar();

   /* Free defaults. */
   MappFreeDefault(MilApplication, MilSystem, MilDisplay, M_NULL, MilImage);
}

