// MdispMFCView.h : interface of the CMdispMFCView class
//
/////////////////////////////////////////////////////////////////////////////

class CMdispMFCView : public CView
{
protected: // create from serialization only
	CMdispMFCView();
	DECLARE_DYNCREATE(CMdispMFCView)

// Attributes
public:
	CMdispMFCDoc* GetDocument();

	CRect	 MMRect;				      // CRect variable
	RECT   rcClient;			      // RECT variable
	CPen   hpen, *hpenOld; 	      // CPEN variables
	char   chText[80];		      // Array of char
   BOOL   OverlayIsEnable;       // Overlay show state
   BOOL   fOverlayIsInitialized; // Overlay initialization state

   MIL_ID MilOverlayImage;	      // Overlay image buffer identifier 
	MIL_ID MilDisplay;     	      // Display identifier.
   long ImageWidth;              // Overlay image size x
   long ImageHeight;             // Overlay image size y
   long TransparentColor;        // Keying color

// Operations
public:

	void RemoveFromDisplay();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMdispMFCView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMdispMFCView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CMdispMFCView)
	afx_msg void OnGrabStart();
	afx_msg void OnUpdateGrabStart(CCmdUI* pCmdUI);
	afx_msg void OnGrabStop();
	afx_msg void OnUpdateGrabStop(CCmdUI* pCmdUI);
	afx_msg void OnDestroy();
	afx_msg void OnOverlay();
	afx_msg void OnUpdateOverlay(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in MdispMFCView.cpp
inline CMdispMFCDoc* CMdispMFCView::GetDocument()
   { return (CMdispMFCDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
