; *******************************************************************
; *
; * COPYRIGHT (c) 1995 Matrox Electronic Systems Ltd.
; * All Rights Reserved
; *
; *******************************************************************
;
; *******************************************************************
; *
; * Synopsis:        Genesis interpreter Command List (.cl)
; *                  Demonstrations of the three kinds of loop structures
; *                  available in the interpreter.
; *
; * Used Functions:  
; *
; * Designed:        rBec
; *
; * Date:            23 May 1995
; *
; * Notes:           
; *
; *******************************************************************

; loop demonstrations

echo "do loop demo with interpreter functions"
echo

allocarray index 4
setnbrarray index 0 0

do
{
   echo [nbrtostr [getnbrarray index 0] 10]

   setnbrarray index 0 ([getnbrarray index 0] + 1)
}
([getnbrarray index 0] < 5)


cleararray index


echo
echo "do loop demo with long.cl macros"
echo

long index2
setindex2 0

do
{
   echo [nbrtostr [getindex2] 10]
   setindex2 ([getindex2] + 1)
}
([getindex2] < 5)

freeindex2



echo
echo "while loop demo"
echo


long index3
setindex3 0

while ([getindex3] < 5)
{
   echo [nbrtostr [getindex3] 10]
   setindex3 ([getindex3] + 1)
}

freeindex3



echo
echo "for loop demo"
echo

for index 0 5 1
{
   echo [nbrtostr _index 10]
}
