; *******************************************************************
; *
; * COPYRIGHT (c) 1995 Matrox Electronic Systems Ltd.
; * All Rights Reserved
; *
; *******************************************************************
;
; *******************************************************************
; *
; * Synopsis:        Genesis interpreter Command List (.cl)
; *                  Create and use a user cbinding function.
; *
; * Used Functions:  addfunction interpreter command
; *
; * Designed:        rBec
; *
; * Date:            23 May 1995
; *
; * Notes:
; *
; *******************************************************************

long dev
long thread
long buf
long dispbuf
setstr FILENAME "man&dog.tif"

imDevAlloc 0 0 NULL IM_DEFAULT &dev
imThrAlloc dev 0 &thread

; Here opcode 17 is imBufAlloc()
;           FuncName SyncType opcode param1 param2 ...                 returnVal
addFunction "immine" _IM_WAIT 17     long   long   long long long long [long*]

immine thread 512 480 1 IM_BYTE IM_PROC &buf
imBufLoad thread [getstr FILENAME] IM_TIFF buf

imBufChild thread IM_DISP 0 0 512 480 &dispbuf
imBufCopy thread buf dispbuf 0 0

GenPixv buf

imBufFree thread buf
imBufFree thread dispbuf
imThrFree thread
imDevFree dev

clearstr FILENAME
freedev
freethread
freebuf
freedispbuf
