#------------------------------------------------------------------------------
# 
#   File Name: moveset.awk
# Description: GAWK.EXE script file 
#              Used by Install to edit files for a Genesis installation under DOS
#              Move a SET statement before a PATH statement
#     Version: 1.00
#        Date: April 1997
#
#------------------------------------------------------------------------------
#
# COPYRIGHT (c) 1996 Matrox Electronic Systems Ltd.
# All Rights Reserved
#
#------------------------------------------------------------------------------
 
BEGIN {

   if (ARGC < 2)
      {
      printf "gawk -fsetup.awk FILENAME CONDITION                      \n\n"
      printf "where:  FILENAME:  Name of the file to edit                           \n"
      printf "        CONDITION: If CONDITION is found on a line,move the line\n"
      exit 1
      }

   # Initialize variables
   FileName  = ARGV[1]
   Condition = ARGV[2]
   Line = ""
   TempLine = ""
   GoodLine = ""
   
   for (ii=0; ii<2; ii++)
      ARGV[ii] == ""

   
   # Parse the file: look for CONDITION

   ConditionIsFound = 0

   while( getline<FileName > 0)
   {
      Line = tolower($0)
      split(Line,tmpstr,"=")
      if ( tmpstr[2] == "" || index (tmpstr[1] , Condition ) == 0 ) 
      {
         print > "tempfile"
      }
      else
      {
          if((index(tmpstr[1],"set")!=0) && (index(tmpstr[1],"rem")==0) && (index(tmpstr[1],"\:\:")==0))
          {
            ConditionIsFound = 1
            GoodLine = $0
          }
          else
          {
             print > "tempfile"
          }
      }
      for (ii in tmpstr)
          delete tmpstr[ii]

   }


   # Parse the file: insert LINE before the PATH statement
      
   close ( FileName )
   close ( "tempfile" )

   while( getline<"tempfile" > 0)
   {
      TempLine = tolower($0)
      if ( index (TempLine, "path" ) == 0)
      {
         print > FileName
      }
      else
      {
         if(ConditionIsFound == 1)
         {
            print GoodLine > FileName
         }
         print > FileName
      }
   }
   


   close("tempfile")
   close(FileName)
   system("del tempfile")
}
 
