# --------------------------------------------------------------------------
function GetEnviron(var)
{
   if (var in ENVIRON)
      return(ENVIRON[var])

   _var_ = tolower(var)
   for (varndx in ENVIRON)
      {
      if (tolower(varndx) == _var_)
         return(ENVIRON[varndx])
      }

   return("")
}


# --------------------------------------------------------------------------
BEGIN {
   CurrentWorkingDir = tolower(getcwd())

   split(CurrentWorkingDir, curWorkDir, ":")
   CWD = curWorkDir[1]":"

   PipeFile = "ver.pip"
   system("ver > "PipeFile)

   revision = 4

   while (getline<PipeFile > 0)
   {
      if (index($0, "Microsoft Windows 2000") != 0)
         revision = 5
      else if (index($0, "Windows NT Version 4") != 0)
         revision = 4
      else if (index($0, "Windows NT Version 3") != 0)
         revision = 3
   }

   close(PipeFile)
   system("del "PipeFile">NUL")

   exit(revision)
}
