@echo off

if "%1" == "" goto :HELP
if "%2" == "" goto :HELP

if "%RAMDRIVE%" == "" echo RAMDRIVE must be set to a default value i.e. d:\ or g:\
if "%RAMDRIVE%" == "" echo 'imcc /c COMPILER_TYPE' will do the job.
if "%RAMDRIVE%" == "" goto :_ERR6
if not "%OS%" == "Windows_NT" if not "%OS%" == "Windows_98" %BATCH%imccrun\ifexist %RAMDRIVE%
if "%OS%" == "Windows_98" %BATCH%imccrun.nt\ifexist %RAMDRIVE%
if "%OS%" == "Windows_NT" %BATCH%imccrun.nt\ifexist %RAMDRIVE%
if errorlevel 1 echo RAMDRIVE=%RAMDRIVE% is not a valid drive
if errorlevel 1 goto :_ERR6

if exist %RAMDRIVE%obj\%OBJDIR%\lnk.rul del %RAMDRIVE%obj\%OBJDIR%\lnk.rul >NUL

if exist %2 copy %2 %RAMDRIVE%obj\%OBJDIR%\lnk.rul >NUL
if "%LNKFORMAT%" == "" echo LINK for %1 in progress ...
if not "%LNKFORMAT%" == "" echo LINK (%LNKFORMAT%) for %1 in progress ...
echo /BIN %1 >>%RAMDRIVE%obj\%OBJDIR%\lnk.rul
shift
if exist %1 shift

echo /OBJ %OBJDIR% >>%RAMDRIVE%obj\%OBJDIR%\lnk.rul
if exist %RAMDRIVE%obj\%OBJDIR%\lnk.rsp   del %RAMDRIVE%obj\%OBJDIR%\lnk.rsp >NUL
if exist %RAMDRIVE%obj\%OBJDIR%\dup.rsp   del %RAMDRIVE%obj\%OBJDIR%\dup.rsp >NUL
if exist %RAMDRIVE%obj\%OBJDIR%\dolnk.bat del %RAMDRIVE%obj\%OBJDIR%\dolnk.bat >NUL
echo /RSP %RAMDRIVE%obj\%OBJDIR%\lnk.rsp >>%RAMDRIVE%obj\%OBJDIR%\lnk.rul
echo /DUP %RAMDRIVE%obj\%OBJDIR%\dup.rsp >>%RAMDRIVE%obj\%OBJDIR%\lnk.rul
echo /DOLNK %RAMDRIVE%obj\%OBJDIR%\dolnk.bat >>%RAMDRIVE%obj\%OBJDIR%\lnk.rul
if not "%LNKFORMAT%" == "" echo /FMT %RAMDRIVE%%LNKFORMAT%.fmt >>%RAMDRIVE%obj\%OBJDIR%\lnk.rul

:MORE_PARAM
if "%1" == "" goto :NO_MORE_PARAM
if "%2" == "" goto :_ERR2
echo %1 %2 >>%RAMDRIVE%obj\%OBJDIR%\lnk.rul
shift
shift
goto :MORE_PARAM

:NO_MORE_PARAM
%RAMDRIVE%gawk -f %RAMDRIVE%lnklst.awk @%RAMDRIVE%obj\%OBJDIR%\lnk.rul
if errorlevel 1 goto :_ERR1

if not exist %RAMDRIVE%obj\%OBJDIR%\lnk.rsp goto :_ERR4
if not exist %RAMDRIVE%obj\%OBJDIR%\dolnk.bat goto :_ERR3
call %RAMDRIVE%obj\%OBJDIR%\dolnk.bat
if errorlevel 1 goto :_ERR5
echo ... done!
%RAMDRIVE%beep /f4700 /d1 /w2
goto :END

:HELP
cls
%RAMDRIVE%readme %RAMDRIVE%imlk.hlp
%RAMDRIVE%gawk -f %RAMDRIVE%compset.awk "%RAMDRIVE%*.fmt"
goto :END

:_ERR1
echo ERROR: During 'gawk' processing!
goto :END

:_ERR2
echo ERROR: Missing parameter
goto :END

:_ERR3
echo ERROR: %RAMDRIVE%obj\%OBJDIR%\dolnk.bat not created during 'imlk' processing ???
goto :END

:_ERR4
echo ERROR: No link because no response file!
goto :END

:_ERR5
%RAMDRIVE%beep /f100 /d1 /w2
cls
%RAMDRIVE%readme %RAMDRIVE%obj\%OBJDIR%\lnk.log
echo ... error during LINK!!!
goto :END

:_ERR6
echo ERR6: Environment variable(s) not set.
goto :END

:END
