# --------------------------------------------------------------------------
function GetEnviron(var)
{
   if (var in ENVIRON)
      return(ENVIRON[var])

   _var_ = tolower(var)
   for (varndx in ENVIRON)
      {
      if (tolower(varndx) == _var_)
         return(ENVIRON[varndx])
      }

   return("")
}

BEGIN {
   doall = toupper(ARGV[1])
   ARGV[1] = ""

   printf "Searching for source files (may be long) ...\n\n" > "CON"

   CurrentWorkingDir = tolower(getcwd())
   gsub(/\\$/, "", CurrentWorkingDir)

   split(CurrentWorkingDir, curWorkDir, ":")
   CWD = curWorkDir[1]":"

   split(GetEnviron("RAMDRIVE"), curWorkDir, ":")
   RAMDRIVE = curWorkDir[1]":"

   for (ii in curWorkDir)
      delete curWorkDir[ii]

   PipeTmp0 = RAMDRIVE"nbline.pip"
   system("dir /S /B /L /On *.c>"PipeTmp0)
   system("dir /S /B /L /On *.cpp>>"PipeTmp0)
   system("dir /S /B /L /On *.asm>>"PipeTmp0)
   system("dir /S /B /L /On *.s>>"PipeTmp0)
   system("dir /S /B /L /On *.h>>"PipeTmp0)
   system("dir /S /B /L /On *.inc>>"PipeTmp0)

   TotalNbFile = 0
   TotalNbLine = 0
   
   while (getline<PipeTmp0 > 0)
      {
         nbLine = 0
         
         fileName = $0
         
         while (getline< fileName > 0)
         {
            nbLine++
         }
         
         TotalNbLine += nbLine
         TotalNbFile++
         
         printf("Files: %08d  TotalLines: %08d\r", TotalNbFile, TotalNbLine)
      }

   close(PipeTmp0)
   system("del "PipeTmp0">NUL")

   printf "done!\n"
}
