#------------------------------------------------------------------------------
# 
#   File Name: moveset.awk
# Description: GAWK.EXE script file 
#              Used by Install to edit files for a Genesis installation under DOS
#              Move a SET statement before a PATH statement
#     Version: 1.00
#        Date: April 1997
#
#------------------------------------------------------------------------------
#
# COPYRIGHT (c) 1996 Matrox Electronic Systems Ltd.
# All Rights Reserved
#
#------------------------------------------------------------------------------
 
BEGIN {

   if (ARGC < 2)
      {
      printf "gawk -fsetup.awk FILENAME CONDITION                      \n\n"
      printf "where:  FILENAME:  Name of the file to edit                           \n"
      printf "        CONDITION: If CONDITION is found on a line,move the line\n"
      exit 1
      }

   # Initialize variables
   FileName  = ARGV[1]
   NewLine = ARGV[2]
   NewSize = ARGV[3]
   Line = ""
   TempLine = ""
   GoodLine = ""
   
   for (ii=0; ii<2; ii++)
      ARGV[ii] == ""

   
   # Parse the file: look for CONDITION

   ConditionIsFound = 0

   while( getline<FileName > 0)
   {
      Line = tolower($0)
      split(Line,tmpstr,"=")
      if ( tmpstr[2] == "" || index (tmpstr[1] , "shell" ) == 0 ) 
      {
         print > "tempfile"
      }
      else
      {
          if((index(tmpstr[1],"shell")!=0) && (index(tmpstr[1],"rem")==0) && (index(tmpstr[1],"\:\:")==0))
          {
            ConditionIsFound = 1
            GoodLine = $0
          }
          else
          {
             print > "tempfile"
          }
      }
      for (ii in tmpstr)
          delete tmpstr[ii]

   }


   if(ConditionIsFound == 0 )
   {
      print NewLine > "tempfile"
   }
   else
   {
      EnvFound = 0
      ModifiedLine = ""
      numberOfFields=split(GoodLine,tmpstr," ")
      for ( i=1;i<=numberOfFields;i=i+1)
      {
         if(index(tmpstr[i],"/e")!=0)
         {
            split(tmpstr[i],envSplit,":")
            EnvFound = envSplit[2] + NewSize
            ModifiedLine = sprintf("%s /e:%i",ModifiedLine,EnvFound)
            EnvFound = 1
            for(ii in envSplit)
               delete envSplit[ii]
         }
         else
         {
            ModifiedLine = sprintf("%s %s",ModifiedLine,tmpstr[i])
         }
      }
      if(EnvFound == 0)
      {
         ModifiedLine = sprintf("%s /e:%i",ModifiedLine,NewSize)
      }
      print ModifiedLine>"tempfile"
      for(ii in tmpstr)
          delete tmpstr[ii]

   }
      
   close ( FileName )
   close ( "tempfile" )

   

   system("copy tempfile "FileName"")
   system("del tempfile")
}
 
