# --------------------------------------------------------------------------
function GetEnviron(var)
{
   if (var in ENVIRON)
      return(ENVIRON[var])

   _var_ = tolower(var)
   for (varndx in ENVIRON)
      {
      if (tolower(varndx) == _var_)
         return(ENVIRON[varndx])
      }

   return("")
}

BEGIN {
   FS = "="
   pauseOn = ""
   split(GetEnviron("RAMDRIVE"), curWorkDir, ":")
   RAMDRIVE = curWorkDir[1]":"
}

{
   # LOGNAME must preceed PAUSE
   if ($1 == "LOGNAME")
      {
      printf "copy %slogname + %stmp.log %s_tmp.log >NUL\n", RAMDRIVE, RAMDRIVE, RAMDRIVE
      printf "%smove %s_tmp.log %s >NUL\n", GetEnviron("RAMDRIVE"), RAMDRIVE, $2
      pauseOn = $2
      }

   if ($1 == "PAUSE" && $2 == "" && pauseOn != "")
      {
      printf "cls\n"
      printf "%sreadme %s\n", GetEnviron("RAMDRIVE"), pauseOn
      }
}
