# --------------------------------------------------------------------------
function GetEnviron(var)
{
   if (var in ENVIRON)
      return(ENVIRON[var])

   _var_ = tolower(var)
   for (varndx in ENVIRON)
      {
      if (tolower(varndx) == _var_)
         return(ENVIRON[varndx])
      }

   return("")
}

BEGIN {

   if (ARGC < 2)
      {
      printf "gawk -f updtlib.awk [REVISION] [[OBJDIR]]\n"
      printf "updtlib [REVISION] [[OBJDIR]]\n"
      printf "        Where REVISION is the revision directory and\n"
      printf "        optionnaly OBJDIR specify under which Object directory\n"
      printf "        revision directory is created.\n"
      printf "        If OBJDIR is not specified it use the default one.\n"
      exit 1
      }

   revision = ARGV[1]
   ARGV[1] = ""

   whichDir = ARGV[2]
   ARGV[2] = ""

   if (whichDir == "")
      {
      nbf = split(GetEnviron("OBJDIR"), objDir, "\\")
      whichDir = objDir[nbf]
      }

   printf "Update LIB directory for '%s' (may be long) ...\n\n", whichDir > "CON"

   CurrentWorkingDir = tolower(getcwd())
   gsub(/\\$/, "", CurrentWorkingDir)

   split(CurrentWorkingDir, curWorkDir, ":")
   CWD = curWorkDir[1]":"

   split(GetEnviron("RAMDRIVE"), curWorkDir, ":")
   RAMDRIVE = curWorkDir[1]":"

   for (ii in curWorkDir)
      delete curWorkDir[ii]

   print "REM This file is created automatically by updtlib.bat and updtlib.awk"

   PipeTmp = RAMDRIVE"updtlib.pip"
   system("dir /AD /s /B /l "CurrentWorkingDir">"PipeTmp)

   while (getline<PipeTmp > 0)
      {
      nbf = split($0, line_in, "\\")

      for (ii=nbf-1;  ii > 0; ii--)
         {
         if (index(line_in[ii], "obj") == 1 && line_in[ii+1] == whichDir && line_in[ii+2] == revision && ii+2 == nbf)
            {
            if (ifexist($0"\\*.lib") != 0)
               {
               printf "." > "CON"
               print "copy "$0"\\*.lib \\gensw\\lib\\obj\\"whichDir"\\"revision
               }
            }
         }
      }

   close(PipeTmp)
   system("del "PipeTmp">NUL")

   printf "\n" > "CON"
   printf "done!\n" > "CON"
}
