///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Application C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_BASETYPES_CPLUSPLUS)
#define __ACTIVEMIL_BASETYPES_CPLUSPLUS


/////////////////////////////////////////////////////////////////////////////
// Link with the right lib
//
#ifndef _UNICODE
 #ifdef _DEBUG
  #pragma comment(lib, "ActiveMILD.lib")
 #else
  #pragma comment(lib, "ActiveMIL.lib")
 #endif
#else
 #ifdef _DEBUG
  #pragma comment(lib, "ActiveMILWD.lib")
 #else
  #pragma comment(lib, "ActiveMILW.lib")
 #endif
#endif

///////////////////////////////////////////////////////////////////////////////////
// We canot use the standard COM guid's declared in "comdef.h" if the old 
// ActiveMIL interfaces are not excluded. (because of a redifinition of IFilter)
//
#ifndef ACTIVEMIL_EXCLUDE_OLD_INTERFACES
   #define _COM_NO_STANDARD_GUIDS_
#endif


/////////////////////////////////////////////////////////////////////////////
// Import the enumerations used by the controls
//
// To view the generated enumerations refer to the MIL.TLH file in your 
// output directory
//
#pragma warning(push)
#pragma warning(disable:4146)

#import <MIL.ocx> no_implementation \
                  no_namespace \
                  exclude("Application", \
                          "System", \
                          "Image", \
                          "Digitizer", \
                          "Display", \
                          "GraphicContext", \
                          "ApplicationDefaults", \
                          "AVIFileHandler", \
                          "CoMatroxControlManagerWorker", \
                          "_PARAMETERCOUNTS", \
                          "_PARAMETERINFO", \
                          "CoMilMapServer", \
                          "CoMatroxInterfaceSnoop", \
                          "CoTypeLibInfoServerFactory", \
                          "CoTypeLibInfoServer", \
                          "CoRegistryFlags", \
                          "IApplicationEvents", \
                          "IApplicationControl", \
                          "IApplication", \
                          "IAvailableSystems", \
                          "IAvailableSystem", \
                          "IApplicationTimer", \
                          "IGraphicContext", \
                          "IApplicationDefaultsEvents", \
                          "IApplicationDefaultsControl", \
                          "IApplicationDefaults", \
                          "IDigitizerEvents", \
                          "IDigitizerControl", \
                          "IDigitizer", \
                          "ILUT", \
                          "IFocusParameters", \
                          "ISerialPort", \
                          "IDisplayEvents", \
                          "IDisplayControl", \
                          "IImage", \
                          "IJPEGAlgorithm", \
                          "IImageCalibrationInfo", \
                          "IExternalWindow", \
                          "IGraphicContextEvents", \
                          "IGraphicContextControl", \
                          "IImageEvents", \
                          "IAVIFileHandler", \
                          "IImageControl", \
                          "ISystemEvents", \
                          "ISystemControl", \
                          "ISystem", \
                          "IGrabInDisplay", \
                          "ISystemUserBits", \
                          "ISystemUserBit", \
                          "IMatroxControlManagerWorker", \
                          "IMatroxImagingControl", \
                          "ITypeLibInfoServer", \
                          "IMatroxImagingObject", \
                          "IMatroxControlManager", \
                          "IEventHandler", \
                          "ITypeLibInfoClient", \
                          "IMilMapClient", \
                          "IMilMapServer", \
                          "ITypeLibInfoServerFactory", \
                          "IMatroxInterfaceSnoop", \
                          "IRegistryFlags", \
                          "IDisplay", \
                          "IRegionOfInterest", \
                          "IRegionOfInterest2", \
                          "ILUTs", \
                          "RegionOfInterest", \
                          "RegionOfInterest2", \
                          "LUT", \
                          "LUTs", \
                          "IAngle", \
                          "ApplicationTimer", \
                          "AvailableSystem", \
                          "AvailableSystems", \
                          "SerialPort", \
                          "FocusParameters", \
                          "ExternalWindow", \
                          "ImageCalibrationInfo", \
                          "JPEGAlgorithm", \
                          "GrabInDisplay", \
                          "SystemUserBits", \
                          "SystemUserBit", \
                          "Angle")



#pragma warning(pop)

#endif // __ACTIVEMIL_BASETYPES_CPLUSPLUS

