///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Application C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_CALIBRATIONTYPES_CPLUSPLUS)
#define __ACTIVEMIL_CALIBRATIONTYPES_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// include the base enumerations
//
#include "ActiveMILBaseTypes.h"


/////////////////////////////////////////////////////////////////////////////
// Import the enumerations used by the controls
//
// To view the generated enumerations refer to the MILCalibration.TLH file in your 
// output directory
//
#pragma warning(push)
#pragma warning(disable:4146)

#import <MILCalibration.ocx>  no_implementation \
                              no_namespace \
                              exclude("ICalibrationEvents", \
                                      "Calibration", \
                                      "ICalibrationControl", \
                                      "ICalibration", \
                                      "ICalibrationResults", \
                                      "ICalibrationGrid", \
                                      "ICalibrationRelativeOrigin", \
                                      "ICalibrationCameraPosition", \
                                      "ICalibrationPoints", \
                                      "ICalibrationPoint")


#pragma warning(pop)

#endif // __ACTIVEMIL_CALIBRATIONTYPES_CPLUSPLUS