///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Application C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_CHARACTERRECOGNITIONTYPES_CPLUSPLUS)
#define __ACTIVEMIL_CHARACTERRECOGNITIONTYPES_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// include the base enumerations
//
#include "ActiveMILBaseTypes.h"


/////////////////////////////////////////////////////////////////////////////
// Import the enumerations used by the controls
//
// To view the generated enumerations refer to the MILCharacterRecognition.TLH file in your 
// output directory
//
#pragma warning(push)
#pragma warning(disable:4146)

#import <MILCharacterRecognition.ocx>  no_implementation \
                                       no_namespace \
                                       exclude("IOCRCharacterMetrics", \
                                               "IOCRFont", \
                                               "IOCRFontPrivate", \
                                               "IOCRTargetCharacter", \
                                               "IOCRConstraint", \
                                               "IOCRConstraints", \
                                               "IOCRResultCharacter", \
                                               "IOCRResultCharacters", \
                                               "IOCRResults", \
                                               "ICharacterRecognition", \
                                               "IRegionOfInterest", \
                                               "ICharacterRecognitionControl", \
                                               "ICharacterRecognitionEvents", \
                                               "CharacterRecognition")


#pragma warning(pop)

#endif // __ACTIVEMIL_CHARACTERRECOGNITIONTYPES_CPLUSPLUS