///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Application C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_MEASUREMENTTYPES_CPLUSPLUS)
#define __ACTIVEMIL_MEASUREMENTTYPES_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// include the base enumerations
//
#include "ActiveMILBaseTypes.h"


/////////////////////////////////////////////////////////////////////////////
// Import the enumerations used by the controls
//
// To view the generated enumerations refer to the MILMeasurement.TLH file in your 
// output directory
//
#pragma warning(push)
#pragma warning(disable:4146)

#import <MILMeasurement.ocx>  no_implementation \
                              no_namespace \
                              exclude("IMeasurementResultEdgeValues", \
                                      "IMeasurementList", \
                                      "IMeasurementPixelAspectRatio", \
                                      "IMarkerPosition", \
                                      "IMarkerPolarity", \
                                      "IMarkerValueEdge", \
                                      "IMarkerValue", \
                                      "IRegionOfInterest", \
                                      "IRegionOfInterest2", \
                                      "IAngle", \
                                      "IMeasurementMarker", \
                                      "IMeasurementMarkers", \
                                      "IMeasurementEdgeResult", \
                                      "IMeasurementResult", \
                                      "IMeasurementResults", \
                                      "IMeasurement", \
                                      "IMeasurementControl", \
                                      "IMeasurementEvents", \
                                      "Measurement", \
                                      "MeasurementList", \
                                      "MeasurementPixelAspectRatio", \
                                      "MeasurementMarkers", \
                                      "MeasurementResults", \
                                      "MeasurementResult", \
                                      "MeasurementEdgeResult", \
                                      "MeasurementMarker", \
                                      "MarkerPosition", \
                                      "MarkerPolarity", \
                                      "MarkerValueEdge", \
                                      "MarkerValue", \
                                      "MeasurementResultEdgeValues")

#pragma warning(pop)

#endif // __ACTIVEMIL_MEASUREMENTTYPES_CPLUSPLUS