///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Angle C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_ANGLE_CPLUSPLUS)
#define __ACTIVEMIL_ANGLE_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IAngle wrapper class

class IAngle : public COleDispatchDriver
{
public:
	IAngle() {}		// Calls COleDispatchDriver default constructor
	IAngle(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IAngle(const IAngle& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	BOOL GetEnabled();
	void SetEnabled(BOOL);
	double GetValue();
	void SetValue(double);
	double GetNegativeDelta();
	void SetNegativeDelta(double);
	double GetPositiveDelta();
	void SetPositiveDelta(double);
	double GetTolerance();
	void SetTolerance(double);
	double GetAccuracy();
	void SetAccuracy(double);
	long GetInterpolationMode();
	void SetInterpolationMode(long);
	long GetCenterOfRotation();
	void SetCenterOfRotation(long);

// Operations
public:
};

#endif // __ACTIVEMIL_ANGLE_CPLUSPLUS
