///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Application Timer C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_APPLICATIONTIMER_CPLUSPLUS)
#define __ACTIVEMIL_APPLICATIONTIMER_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IApplicationTimer wrapper class

class IApplicationTimer : public COleDispatchDriver
{
public:
	IApplicationTimer() {}		// Calls COleDispatchDriver default constructor
	IApplicationTimer(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IApplicationTimer(const IApplicationTimer& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	double GetResolution();
	void SetResolution(double);

// Operations
public:
	void Reset();
	double Read();
	void Wait(double Time);
};

#endif // __ACTIVEMIL_APPLICATIONTIMER_CPLUSPLUS
