///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Blob Chains C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_BLOBCHAINS_CPLUSPLUS)
#define __ACTIVEMIL_BLOBCHAINS_CPLUSPLUS

// Dispatch interfaces referenced by this interface
class IBlobChain;

/////////////////////////////////////////////////////////////////////////////
// IBlobChains wrapper class

class IBlobChains : public COleDispatchDriver
{
public:
	IBlobChains() {}		// Calls COleDispatchDriver default constructor
	IBlobChains(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IBlobChains(const IBlobChains& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetCount();
	void SetCount(long);

// Operations
public:
	IBlobChain Item(long Index);
};

#endif // __ACTIVEMIL_BLOBCHAINS_CPLUSPLUS
