///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Blob Results C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_BLOBRESULTS_CPLUSPLUS)
#define __ACTIVEMIL_BLOBRESULTS_CPLUSPLUS

// Dispatch interfaces referenced by this interface
class IBlobResult;

/////////////////////////////////////////////////////////////////////////////
// IBlobResults wrapper class

class IBlobResults : public COleDispatchDriver
{
public:
	IBlobResults() {}		// Calls COleDispatchDriver default constructor
	IBlobResults(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IBlobResults(const IBlobResults& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetCount();
	void SetCount(long);
	long GetMilID();
	void SetMilID(long);
	long GetMaximumLabelValue();
	void SetMaximumLabelValue(long);

// Operations
public:
	IBlobResult Item(long Index);
	IBlobResult AtCoordinates(double X, double Y);
	IBlobResult AtLabel(long LabelValue);
};

#endif // __ACTIVEMIL_BLOBRESULTS_CPLUSPLUS
