///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Calibration Grid C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_CALIBRATIONGRID_CPLUSPLUS)
#define __ACTIVEMIL_CALIBRATIONGRID_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// ICalibrationGrid wrapper class

class ICalibrationGrid : public COleDispatchDriver
{
public:
	ICalibrationGrid() {}		// Calls COleDispatchDriver default constructor
	ICalibrationGrid(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ICalibrationGrid(const ICalibrationGrid& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	double GetOriginX();
	void SetOriginX(double);
	double GetOriginY();
	void SetOriginY(double);
	long GetNumberOfRows();
	void SetNumberOfRows(long);
	double GetRowSpacing();
	void SetRowSpacing(double);
	long GetNumberOfColumns();
	void SetNumberOfColumns(long);
	double GetColumnSpacing();
	void SetColumnSpacing(double);

// Operations
public:
};

#endif // __ACTIVEMIL_CALIBRATIONGRID_CPLUSPLUS
