///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Calibration Point C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_CALIBRATIONPOINT_CPLUSPLUS)
#define __ACTIVEMIL_CALIBRATIONPOINT_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// ICalibrationPoint wrapper class

class ICalibrationPoint : public COleDispatchDriver
{
public:
	ICalibrationPoint() {}		// Calls COleDispatchDriver default constructor
	ICalibrationPoint(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ICalibrationPoint(const ICalibrationPoint& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	double GetPixelX();
	void SetPixelX(double);
	double GetPixelY();
	void SetPixelY(double);
	double GetWorldX();
	void SetWorldX(double);
	double GetWorldY();
	void SetWorldY(double);

// Operations
public:
};

#endif // __ACTIVEMIL_CALIBRATIONPOINT_CPLUSPLUS

