///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Calibration Relative Origin C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_CALIBRATIONRELATIVEORIGIN_CPLUSPLUS)
#define __ACTIVEMIL_CALIBRATIONRELATIVEORIGIN_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// ICalibrationRelativeOrigin wrapper class

class ICalibrationRelativeOrigin : public COleDispatchDriver
{
public:
	ICalibrationRelativeOrigin() {}		// Calls COleDispatchDriver default constructor
	ICalibrationRelativeOrigin(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ICalibrationRelativeOrigin(const ICalibrationRelativeOrigin& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	double GetX();
	void SetX(double);
	double GetY();
	void SetY(double);
	double GetAngle();
	void SetAngle(double);

// Operations
public:
	void Reset();
};

#endif // __ACTIVEMIL_CALIBRATIONRELATIVEORIGIN_CPLUSPLUS