///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Code Results C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_CODERESULTS_CPLUSPLUS)
#define __ACTIVEMIL_CODERESULTS_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// ICodeResults wrapper class

class ICodeResults : public COleDispatchDriver
{
public:
	ICodeResults() {}		// Calls COleDispatchDriver default constructor
	ICodeResults(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ICodeResults(const ICodeResults& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetStatus();
	void SetStatus(long);
	double GetScore();
	void SetScore(double);
	double GetGridAngle();
	void SetGridAngle(double);
	double GetGridCellSize();
	void SetGridCellSize(double);
	long GetEncodingType();
	void SetEncodingType(long);
	long GetErrorCorrectionType();
	void SetErrorCorrectionType(long);
	CString GetDecodedString();
	void SetDecodedString(LPCTSTR);
	long GetDecodedStringSize();
	void SetDecodedStringSize(long);
	long GetNumberOfCellsX();
	void SetNumberOfCellsX(long);
	long GetNumberOfCellsY();
	void SetNumberOfCellsY(long);

// Operations
public:
   void Get(long ResultType, VARIANT* Value);

};

#endif // __ACTIVEMIL_CODERESULTS_CPLUSPLUS
