///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Code Target Grid C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_CODETARGETGRID_CPLUSPLUS)
#define __ACTIVEMIL_CODETARGETGRID_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// ICodeTargetGrid wrapper class

class ICodeTargetGrid : public COleDispatchDriver
{
public:
	ICodeTargetGrid() {}		// Calls COleDispatchDriver default constructor
	ICodeTargetGrid(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ICodeTargetGrid(const ICodeTargetGrid& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	double GetSearchAngle();
	void SetSearchAngle(double);
	double GetSearchAngleDeltaPositive();
	void SetSearchAngleDeltaPositive(double);
	double GetSearchAngleDeltaNegative();
	void SetSearchAngleDeltaNegative(double);
	double GetMinimumCellSize();
	void SetMinimumCellSize(double);
	double GetMaximumCellSize();
	void SetMaximumCellSize(double);
	long GetNumberOfCellsX();
	void SetNumberOfCellsX(long);
	long GetNumberOfCellsY();
	void SetNumberOfCellsY(long);

// Operations
public:
};

#endif // __ACTIVEMIL_CODETARGETGRID_CPLUSPLUS
