///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// External Window C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_EXTERNALWINDOW_CPLUSPLUS)
#define __ACTIVEMIL_EXTERNALWINDOW_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IExternalWindow wrapper class

class IExternalWindow : public COleDispatchDriver
{
public:
	IExternalWindow() {}		// Calls COleDispatchDriver default constructor
	IExternalWindow(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IExternalWindow(const IExternalWindow& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	BOOL GetControlKey();
	void SetControlKey(BOOL);
	long GetInitialPositionX();
	void SetInitialPositionX(long);
	long GetInitialPositionY();
	void SetInitialPositionY(long);
	BOOL GetMaximizeButton();
	void SetMaximizeButton(BOOL);
	BOOL GetMenuBar();
	void SetMenuBar(BOOL);
	BOOL GetMenuBarChange();
	void SetMenuBarChange(BOOL);
	BOOL GetMinimizeButton();
	void SetMinimizeButton(BOOL);
	long GetPanX();
	void SetPanX(long);
	long GetPanY();
	void SetPanY(long);
	BOOL GetScrollbar();
	void SetScrollbar(BOOL);
	BOOL GetSystemButton();
	void SetSystemButton(BOOL);
	CString GetTitle();
	void SetTitle(LPCTSTR);
	BOOL GetTitleBar();
	void SetTitleBar(BOOL);
	BOOL GetTitleBarChange();
	void SetTitleBarChange(BOOL);
	BOOL GetZoomButton();
	void SetZoomButton(BOOL);
	long GetZoomX();
	void SetZoomX(long);
	long GetZoomY();
	void SetZoomY(long);
	BOOL GetVisible();
	void SetVisible(BOOL);
	long GetHWnd();
	void SetHWnd(long);

// Operations
public:
};

#endif // __ACTIVEMIL_EXTERNALWINDOW_CPLUSPLUS
