///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Filter C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_FILTER_CPLUSPLUS)
#define __ACTIVEMIL_FILTER_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IBlobFilter wrapper class

class IBlobFilter : public COleDispatchDriver
{
public:
	IBlobFilter() {}		// Calls COleDispatchDriver default constructor
	IBlobFilter(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IBlobFilter(const IBlobFilter& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetFilterType();
	void SetFilterType(long);
	long GetFeature();
	void SetFeature(long);
	long GetCondition();
	void SetCondition(long);
	double GetLowValue();
	void SetLowValue(double);
	double GetHighValue();
	void SetHighValue(double);
	CString GetDescription();
	void SetDescription(LPCTSTR);

// Operations
public:
};

#endif // __ACTIVEMIL_FILTER_CPLUSPLUS
