///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Focus Parameters C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_FOCUSPARAMETERS_CPLUSPLUS)
#define __ACTIVEMIL_FOCUSPARAMETERS_CPLUSPLUS

// Dispatch interfaces referenced by this interface
class IRegionOfInterest;

/////////////////////////////////////////////////////////////////////////////
// IFocusParameters wrapper class

class IFocusParameters : public COleDispatchDriver
{
public:
	IFocusParameters() {}		// Calls COleDispatchDriver default constructor
	IFocusParameters(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IFocusParameters(const IFocusParameters& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetMinimumPosition();
	void SetMinimumPosition(long);
	long GetMaximumPosition();
	void SetMaximumPosition(long);
	long GetStartPosition();
	void SetStartPosition(long);
	long GetMaximumPositionVariation();
	void SetMaximumPositionVariation(long);
	IRegionOfInterest GetFocusRegion();
	void SetFocusRegion(LPDISPATCH);

// Operations
public:
};

#endif // __ACTIVEMIL_FOCUSPARAMETERS_CPLUSPLUS
