///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Grab In Display C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_GRABINDISPLAY_CPLUSPLUS)
#define __ACTIVEMIL_GRABINDISPLAY_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IGrabInDisplay wrapper class

class IGrabInDisplay : public COleDispatchDriver
{
public:
	IGrabInDisplay() {}		// Calls COleDispatchDriver default constructor
	IGrabInDisplay(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IGrabInDisplay(const IGrabInDisplay& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	BOOL GetDoubleBuffering();
	void SetDoubleBuffering(BOOL);
	BOOL GetForcePseudoInNonUnderlayDisplays();
	void SetForcePseudoInNonUnderlayDisplays(BOOL);
	BOOL GetLiveEnabled();
	void SetLiveEnabled(BOOL);
	BOOL GetLiveEndTrigger();
	void SetLiveEndTrigger(BOOL);
	BOOL GetLiveMoveUpdate();
	void SetLiveMoveUpdate(BOOL);
	BOOL GetLiveWhenDisabled();
	void SetLiveWhenDisabled(BOOL);
	BOOL GetLiveWhenInactive();
	void SetLiveWhenInactive(BOOL);
	BOOL GetLiveWhenMenuActive();
	void SetLiveWhenMenuActive(BOOL);
	BOOL GetPseudoWhenOverlapped();
	void SetPseudoWhenOverlapped(BOOL);
	BOOL GetTracking();
	void SetTracking(BOOL);
	BOOL GetLastGrabInTrueImage();
	void SetLastGrabInTrueImage(BOOL);

// Operations
public:
};

#endif // __ACTIVEMIL_GRABINDISPLAY_CPLUSPLUS
