///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Image Calibration Info C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_IMAGECALIBRATIONINFO_CPLUSPLUS)
#define __ACTIVEMIL_IMAGECALIBRATIONINFO_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IJPEGAlgorithm wrapper class

class IImageCalibrationInfo : public COleDispatchDriver
{
public:
	IImageCalibrationInfo() {}		// Calls COleDispatchDriver default constructor
	IImageCalibrationInfo(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IImageCalibrationInfo(const IImageCalibrationInfo& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	BOOL GetCorrectionState();
	VOID SetCorrectionState(BOOL);
	DOUBLE GetCameraPositionX();
	VOID SetCameraPositionX(DOUBLE);
	DOUBLE GetCameraPositionY();
	VOID SetCameraPositionY(DOUBLE);
	DOUBLE GetRelativeOriginX();
	VOID SetRelativeOriginX(DOUBLE);
	DOUBLE GetRelativeOriginY();
	VOID SetRelativeOriginY(DOUBLE);
	DOUBLE GetRelativeOriginAngle();
	VOID SetRelativeOriginAngle(DOUBLE);

// Operations
public:
};

#endif // __ACTIVEMIL_IMAGECALIBRATIONINFO_CPLUSPLUS
