///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// LUTs C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_LUTS_CPLUSPLUS)
#define __ACTIVEMIL_LUTS_CPLUSPLUS

// Dispatch interfaces referenced by this interface
class ILUT;

/////////////////////////////////////////////////////////////////////////////
// ILUTs wrapper class

class ILUTs : public COleDispatchDriver
{
public:
	ILUTs() {}		// Calls COleDispatchDriver default constructor
	ILUTs(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ILUTs(const ILUTs& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetCount();
	void SetCount(long);
	LPUNKNOWN Get_NewEnum();
	void Set_NewEnum(LPUNKNOWN);

// Operations
public:
	ILUT Item(long Index);
	long Add(long DataType, long DataDepth, long NumberOfBands, long Size);
	void Remove(long Index);
};

#endif // __ACTIVEMIL_LUTS_CPLUSPLUS
