///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Marker Position C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_MARKERPOSITION_CPLUSPLUS)
#define __ACTIVEMIL_MARKERPOSITION_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IMarkerPosition wrapper class

class IMarkerPosition : public COleDispatchDriver
{
public:
   IMarkerPosition() {}		// Calls COleDispatchDriver default constructor
   IMarkerPosition(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
   IMarkerPosition(const IMarkerPosition& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
   double GetX();
   void SetX(double);
   double GetY();
   void SetY(double);
   long GetStripeLocation();
   void SetStripeLocation(long);
   double GetVariation();
   void SetVariation(double);
   double GetWeightFactor();
   void SetWeightFactor(double);

// Operations
public:
};

#endif // __ACTIVEMIL_MARKERPOSITION_CPLUSPLUS
