///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Marker Value C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_MARKERVALUE_CPLUSPLUS)
#define __ACTIVEMIL_MARKERVALUE_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IMarkerValue wrapper class

class IMarkerValue : public COleDispatchDriver
{
public:
	IMarkerValue() {}		// Calls COleDispatchDriver default constructor
	IMarkerValue(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IMarkerValue(const IMarkerValue& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	double GetValue();
	void SetValue(double);
	double GetVariation();
	void SetVariation(double);
	double GetWeightFactor();
	void SetWeightFactor(double);

// Operations
public:
};

#endif // __ACTIVEMIL_MARKERVALUE_CPLUSPLUS
