///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Marker Value Edge C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_MARKERVALUEEDGE_CPLUSPLUS)
#define __ACTIVEMIL_MARKERVALUEEDGE_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IMarkerValueEdge wrapper class

class IMarkerValueEdge : public COleDispatchDriver
{
public:
	IMarkerValueEdge() {}		// Calls COleDispatchDriver default constructor
	IMarkerValueEdge(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IMarkerValueEdge(const IMarkerValueEdge& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	double GetEdge1();
	void SetEdge1(double);
	double GetEdge2();
	void SetEdge2(double);
	double GetVariation();
	void SetVariation(double);
	double GetWeightFactor();
	void SetWeightFactor(double);

// Operations
public:
};

#endif // __ACTIVEMIL_MARKERVALUEEDGE_CPLUSPLUS
