///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Measurement Edge Result C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_MEASUREMENTEGDERESULT_CPLUSPLUS)
#define __ACTIVEMIL_MEASUREMENTEGDERESULT_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IMeasurementEdgeResult wrapper class

class IMeasurementEdgeResult : public COleDispatchDriver
{
public:
	IMeasurementEdgeResult() {}		// Calls COleDispatchDriver default constructor
	IMeasurementEdgeResult(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IMeasurementEdgeResult(const IMeasurementEdgeResult& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	double GetPositionX();
	void SetPositionX(double);
	double GetPositionY();
	void SetPositionY(double);
	double GetMaximumPositionX();
	void SetMaximumPositionX(double);
	double GetMaximumPositionY();
	void SetMaximumPositionY(double);
	double GetMinimumPositionX();
	void SetMinimumPositionX(double);
	double GetMinimumPositionY();
	void SetMinimumPositionY(double);
	double GetPositionVariation();
	void SetPositionVariation(double);
	long GetOrientation();
	void SetOrientation(long);
	double GetWidth();
	void SetWidth(double);
	long GetPolarity();
	void SetPolarity(long);
	double GetContrast();
	void SetContrast(double);
	double GetEdgeStrength();
	void SetEdgeStrength(double);
	double GetAngle();
	void SetAngle(double);
	double GetLineEquationSlope();
	void SetLineEquationSlope(double);
	double GetLineEquationIntercept();
	void SetLineEquationIntercept(double);

// Operations
public:
};

#endif // __ACTIVEMIL_MEASUREMENTEGDERESULT_CPLUSPLUS
