///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Measurement Pixel Aspect Ratio C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_PIXELASPECTRATIO_CPLUSPLUS)
#define __ACTIVEMIL_PIXELASPECTRATIO_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IMeasurementPixelAspectRatio wrapper class

class IMeasurementPixelAspectRatio : public COleDispatchDriver
{
public:
	IMeasurementPixelAspectRatio() {}		// Calls COleDispatchDriver default constructor
	IMeasurementPixelAspectRatio(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IMeasurementPixelAspectRatio(const IMeasurementPixelAspectRatio& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	double GetValue();
	void SetValue(double);
	BOOL GetInputCorrection();
	void SetInputCorrection(BOOL);
	BOOL GetOutputCorrection();
	void SetOutputCorrection(BOOL);

// Operations
public:
};

#endif // __ACTIVEMIL_PIXELASPECTRATIO_CPLUSPLUS
