///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// OCR Character Metrics C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_OCRCHARACTERMETRICS_CPLUSPLUS)
#define __ACTIVEMIL_OCRCHARACTERMETRICS_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IOCRCharacterMetrics wrapper class

class IOCRCharacterMetrics : public COleDispatchDriver
{
public:
	IOCRCharacterMetrics() {}		// Calls COleDispatchDriver default constructor
	IOCRCharacterMetrics(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IOCRCharacterMetrics(const IOCRCharacterMetrics& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetCellSizeX();
	void SetCellSizeX(long);
	long GetCellSizeY();
	void SetCellSizeY(long);
	long GetOffsetX();
	void SetOffsetX(long);
	long GetOffsetY();
	void SetOffsetY(long);
	long GetSizeX();
	void SetSizeX(long);
	long GetSizeY();
	void SetSizeY(long);
	long GetThickness();
	void SetThickness(long);

// Operations
public:
};

#endif // __ACTIVEMIL_OCRCHARACTERMETRICS_CPLUSPLUS
