///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// OCR Constraints C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_OCRCONTRAINTS_CPLUSPLUS)
#define __ACTIVEMIL_OCRCONTRAINTS_CPLUSPLUS

// Dispatch interfaces referenced by this interface
class IOCRConstraint;

/////////////////////////////////////////////////////////////////////////////
// IOCRConstraints wrapper class

class IOCRConstraints : public COleDispatchDriver
{
public:
	IOCRConstraints() {}		// Calls COleDispatchDriver default constructor
	IOCRConstraints(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IOCRConstraints(const IOCRConstraints& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetCount();
	void SetCount(long);
	LPUNKNOWN Get_NewEnum();
	void Set_NewEnum(LPUNKNOWN);

// Operations
public:
	IOCRConstraint Item(long Index);
};

#endif // __ACTIVEMIL_OCRCONTRAINTS_CPLUSPLUS
