///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// OCR Target Character C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_OCRTARGETCHARACTER_CPLUSPLUS)
#define __ACTIVEMIL_OCRTARGETCHARACTER_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IOCRTargetCharacter wrapper class

class IOCRTargetCharacter : public COleDispatchDriver
{
public:
	IOCRTargetCharacter() {}		// Calls COleDispatchDriver default constructor
	IOCRTargetCharacter(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IOCRTargetCharacter(const IOCRTargetCharacter& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	double GetSizeX();
	void SetSizeX(double);
	double GetSizeY();
	void SetSizeY(double);
	double GetSpacing();
	void SetSpacing(double);
	double GetAcceptanceThreshold();
	void SetAcceptanceThreshold(double);
	CString GetInvalidSymbol();
	void SetInvalidSymbol(LPCTSTR);

// Operations
public:
};

#endif // __ACTIVEMIL_OCRTARGETCHARACTER_CPLUSPLUS
