///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Region Of Interest C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_REGIONOFINTEREST_CPLUSPLUS)
#define __ACTIVEMIL_REGIONOFINTEREST_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IRegionOfInterest wrapper class

class IRegionOfInterest : public COleDispatchDriver
{
public:
	IRegionOfInterest() {}		// Calls COleDispatchDriver default constructor
	IRegionOfInterest(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IRegionOfInterest(const IRegionOfInterest& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetStartX();
	void SetStartX(long);
	long GetStartY();
	void SetStartY(long);
	long GetEndX();
	void SetEndX(long);
	long GetEndY();
	void SetEndY(long);
	long GetCenterX();
	void SetCenterX(long);
	long GetCenterY();
	void SetCenterY(long);
	long GetSizeX();
	void SetSizeX(long);
	long GetSizeY();
	void SetSizeY(long);
	long GetOffsetX();
	void SetOffsetX(long);
	long GetOffsetY();
	void SetOffsetY(long);
	long GetMode();
	void SetMode(long);
	BOOL GetFullSize();
	void SetFullSize(BOOL);

// Operations
public:
};

#endif // __ACTIVEMIL_REGIONOFINTEREST_CPLUSPLUS
