///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Region Of Interest 2 C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_REGIONOFINTEREST2_CPLUSPLUS)
#define __ACTIVEMIL_REGIONOFINTEREST2_CPLUSPLUS

// Dispatch interfaces referenced by this interface
class IAngle;

/////////////////////////////////////////////////////////////////////////////
// IRegionOfInterest2 wrapper class

class IRegionOfInterest2 : public COleDispatchDriver
{
public:
	IRegionOfInterest2() {}		// Calls COleDispatchDriver default constructor
	IRegionOfInterest2(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IRegionOfInterest2(const IRegionOfInterest2& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetStartX();
	void SetStartX(long);
	long GetStartY();
	void SetStartY(long);
	long GetEndX();
	void SetEndX(long);
	long GetEndY();
	void SetEndY(long);
	long GetCenterX();
	void SetCenterX(long);
	long GetCenterY();
	void SetCenterY(long);
	long GetSizeX();
	void SetSizeX(long);
	long GetSizeY();
	void SetSizeY(long);
	long GetOffsetX();
	void SetOffsetX(long);
	long GetOffsetY();
	void SetOffsetY(long);
	long GetMode();
	void SetMode(long);
	BOOL GetFullSize();
	void SetFullSize(BOOL);
	IAngle GetAngle();
	void SetAngle(LPDISPATCH);
	long GetX1();
	void SetX1(long);
	long GetY1();
	void SetY1(long);
	long GetX2();
	void SetX2(long);
	long GetY2();
	void SetY2(long);
	long GetX3();
	void SetX3(long);
	long GetY3();
	void SetY3(long);
	long GetX4();
	void SetX4(long);
	long GetY4();
	void SetY4(long);

// Operations
public:
};

#endif // __ACTIVEMIL_REGIONOFINTEREST2_CPLUSPLUS
