///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Sorting Key C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_SORTINGKEY_CPLUSPLUS)
#define __ACTIVEMIL_SORTINGKEY_CPLUSPLUS

/////////////////////////////////////////////////////////////////////////////
// IBlobSortingKey wrapper class

class IBlobSortingKey : public COleDispatchDriver
{
public:
	IBlobSortingKey() {}		// Calls COleDispatchDriver default constructor
	IBlobSortingKey(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IBlobSortingKey(const IBlobSortingKey& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetFeature();
	void SetFeature(long);
	long GetOrdering();
	void SetOrdering(long);
	long GetPriority();
	void SetPriority(long);
	CString GetDescription();
	void SetDescription(LPCTSTR);

// Operations
public:
};

#endif // __ACTIVEMIL_SORTINGKEY_CPLUSPLUS
