///////////////////////////////////////////////////////////////////////////////
//
// Matrox Imaging ActiveX Controls
// Sorting Keys C++ Declarations
//
// Matrox Electronics Ltd.
// Copyright 1998
// All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined(__ACTIVEMIL_SORTINGKEYS_CPLUSPLUS)
#define __ACTIVEMIL_SORTINGKEYS_CPLUSPLUS

// Include enumerated types
#include "ActiveMILBlobAnalysisTypes.h"

// Dispatch interfaces referenced by this interface
class IBlobSortingKey;

/////////////////////////////////////////////////////////////////////////////
// IBlobSortingKeys wrapper class

class IBlobSortingKeys : public COleDispatchDriver
{
public:
	IBlobSortingKeys() {}		// Calls COleDispatchDriver default constructor
	IBlobSortingKeys(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IBlobSortingKeys(const IBlobSortingKeys& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetCount();
	void SetCount(long);

// Operations
public:
	IBlobSortingKey Item(long Index);
	long Add(long Feature = blobArea, long Ordering = blobIncreasing, long Priority = blobPriority1);
	void Remove(long Index);
	long IncreasePriority(long Index);
	long DecreasePriority(long Index);
};

#endif // __ACTIVEMIL_SORTINGKEYS_CPLUSPLUS
