; File Name: mil.cl
; Synopsis : This command list loads all the required command lists
;            for the definition of MIL standard types and macros.

loadcl mil_id "mil_id.cl"
loadcl long "long.cl"
loadcl double "double.cl"
loadcl char "char.cl"
loadcl short "short.cl"

;************************************************************************/
;* DEFAULT STATE INITIALISATION FLAG                                    */
macro M_SETUP                  M_COMPLETE

;************************************************************************/
;* DEFAULT SYSTEM SPECIFICATION                                         */
macro M_DEF_SYSTEM_TYPE        M_SYSTEM_PULSAR
macro M_DEF_SYSTEM_NUM         M_DEV0
macro M_SYSTEM_SETUP           M_DEF_SYSTEM_TYPE

;************************************************************************/
;* DEFAULT CAMERA SPECIFICATION                                         */
macro M_DEF_DIGITIZER_NUM      M_DEV0
macro M_DEF_DIGITIZER_FORMAT   "M_DEFAULT"
macro M_DEF_DIGITIZER_INIT     M_DEFAULT
macro M_CAMERA_SETUP           M_DEF_DIGITIZER_FORMAT

;************************************************************************/
;* DEFAULT DISPLAY SPECIFICATIONS                                       */

macro M_DEF_DISPLAY_NUM                  M_DEV0
macro M_DEF_DISPLAY_FORMAT               "M_DEFAULT"
macro M_DEF_DISPLAY_INIT                 M_DEFAULT
macro M_DISPLAY_SETUP                    M_DEF_DISPLAY_FORMAT
macro M_DEF_DISPLAY_KEY_COLOR            8
macro M_DEF_DISPLAY_KEY_ENABLE_ON_ALLOC  0
macro M_DEF_DISPLAY_KEY_DISABLE_ON_FREE  0

;************************************************************************/
;* DEFAULT IMAGE BUFFER SPECIFICATION                                   */
macro M_DEF_IMAGE_SIZE_X_MAX     1024
macro M_DEF_IMAGE_SIZE_Y_MAX     1024

macro  M_D_SIZ_X         512
macro  M_D_SIZ_Y         480
macro  M_D_TYP           (8+M_UNSIGNED)
macro  M_D_ATT           (M_IMAGE+M_PROC)
macro  M_D_BANDS         1

loadcl mappallocdefault "mallocd.cl"
loadcl mappfreedefault "mfreed.cl"
