#------------------------------------------------------------------------------
# 
#   File Name: del_line.awk
# Description: GAWK.EXE script file 
#              Used by WInstall to edit files for a MIL installation under DOS
#              Delete the line where the string is found
#     Version: 1.00
#        Date: October 96
#
#------------------------------------------------------------------------------
#
# COPYRIGHT (c) 1996 Matrox Electronic Systems Ltd.
# All Rights Reserved
#
#------------------------------------------------------------------------------
 

BEGIN {

   if (ARGC < 2)
      {
      printf "gawk -fdel_line.awk FILENAME STRING     \n\n"
      printf "where:  FILENAME: Name of the file to edit\n"
      printf "        STRING:   String to look for      \n"

      printf "example: gawk -fdel_line.awk millib.lst genlib"
      exit 1
      }

   # Initialize variables
   FileName = ARGV[1]
   String   = ARGV[2]
   
   for (ii=0; ii<1; ii++)
      ARGV[ii] == ""

   # Parse the file
   while( getline<FileName > 0)
   {
      if ( index ($0, String ) == 0)
      {
         print > "tempfile"
      }
   }

   close("tempfile")
   system ("copy tempfile "FileName"")
   system ("del tempfile" )
}
