#------------------------------------------------------------------------------
# 
#   File Name: milex.awk
# Description: GAWK.EXE script file 
#              Used by WInstall to edit files for a MIL installation under DOS
#              Insert a new example in the milex.mk file if not already present
#     Version: 1.00
#        Date: October 96
#
#------------------------------------------------------------------------------
#
# COPYRIGHT (c) 1996 Matrox Electronic Systems Ltd.
# All Rights Reserved
#
#------------------------------------------------------------------------------
 
BEGIN {

   if (ARGC < 2)
      {
      printf "gawk -fsetup.awk FILENAME EXAMPLE                   \n\n"
      printf "where:  FILENAME: Name of the file to edit          \n"
      printf "        EXAMPLE:  Example to add (without extension)\n"
      exit 1
      }

   # Initialize variables
   FileName = ARGV[1]
   Example  = toupper (ARGV[2])
   
   for (ii=0; ii<1; ii++)
      ARGV[ii] == ""

 
   # Parse the file: look if example is already present
   ExampleAlreadyPresent = 0
   while( getline<FileName > 0)
   {
      if ( index ($0, Example ) != 0)
      {
         ExampleAlreadyPresent = 1
      }
      print > "tempfile"
   }

   # EXAMPLE was not found
   # Parse the file: insert the new example
   if ( ExampleAlreadyPresent == 0 )
   {
      close ( FileName )
      close ( "tempfile" )
      system ("del tempfile" )
      
      FirstOccurenceFound = 0
      
      while( getline<FileName > 0 )
      {
         if ( FirstOccurenceFound == 0 )
         {
            if ( index ($0, "MSTART.EXE" ) == 0)
            {
               print > "tempfile"
            }
            else
            {
               FirstOccurenceFound = 1
               print > "tempfile"
               print "ALL: "Example".EXE" > "tempfile"
            }
         }
         else
         {
            if ( index ($0, "MSTART.EXE" ) == 0)
            {
               print > "tempfile"
            }
            else
            {
               print > "tempfile"
               getline<FileName
               print > "tempfile"
               print "" > "tempfile"
               print Example".EXE : "Example".C" > "tempfile"
	       print "   mcl "Example > "tempfile"
            }
         }
      }
    }

   close("tempfile")
   system ("copy tempfile "FileName"")
   system ("del tempfile" )
}
 
