#------------------------------------------------------------------------------
# 
#   File Name: ovr_line.awk
# Description: GAWK.EXE script file 
#              Used by WInstall to edit files for a MIL installation under DOS
#              Replace the line where the string is found
#     Version: 1.00
#        Date: October 96
#
#------------------------------------------------------------------------------
#
# COPYRIGHT (c) 1996 Matrox Electronic Systems Ltd.
# All Rights Reserved
#
#------------------------------------------------------------------------------
 

BEGIN {

   if (ARGC < 4)
      {
      printf "gawk -fsetup.awk FILENAME STRING LINE   \n\n"
      printf "where:  FILENAME: Name of the file to edit\n"
      printf "        STRING:   String to look for      \n"
      printf "        LINE:     Line to write         \n\n"
      exit 1
      }

   # Initialize variables
   FileName = ARGV[1]
   String   = ARGV[2]
   Line     = ARGV[3]
   if (ARGC == 5)
   {
       Previous = ARGV[4]
   }
   else
   {
       Previous = ""
   }
   
   for (ii=0; ii<(ARGC-1); ii++)
      ARGV[ii] == ""

   # Parse the file
   while( getline<FileName > 0)
   {
      if ( index ($0, String ) == 0)
      {
         print > "tempfile"
      }
      else
      {
         if((index($0,Previous)!=0) && (index($0,Previous) < index($0,String)))
         {
            print > "tempfile"
         }
         else
         {
            print Line > "tempfile"
         }
      }
   }

   close("tempfile")
   system ("copy tempfile "FileName"")
   system ("del tempfile" )
}
