@echo off

REM  This utility compile and link a CONSOLE MIL application
REM
REM  Usage: mcl FILE (no extension) 
REM         FILE can be "c" or "cpp" type

set INCLUDE=%COMPPATH%\include;..\include
set LIB=%COMPPATH%\lib

if exist %1.cpp  set FILE_NAME=%1.cpp
if exist %1.c    set FILE_NAME=%1.c
if exist %COMPPATH%\bin\cl.exe goto :COMPILE
echo.
echo Compiler cannot be found, set COMPPATH variable in your autoexec.bat
echo.
pause
goto :END

:COMPILE
%COMPPATH%\bin\cl -c -G5 -Ge -D_X86_ -DWIN -DWIN32 -DNT -MD %FILE_NAME%

:LINK
%COMPPATH%\bin\link %1.obj @millib.lst
if exist %1.exp del %1.exp > nul
if exist %1.lib del %1.lib > nul

:END
