#------------------------------------------------------------------------------
# 
#   File Name: addpath.awk
# Description: GAWK.EXE script file 
#              Used by Install to edit files for a Genesis installation under DOS
#              Insert a new node to the path if it doesn't exist
#     Version: 1.00
#        Date: April 1997
#
#------------------------------------------------------------------------------
#
# COPYRIGHT (c) 1996 Matrox Electronic Systems Ltd.
# All Rights Reserved
#
#------------------------------------------------------------------------------
 
BEGIN {

   if (ARGC < 2)
      {
      printf "gawk -fsetup.awk FILENAME PATH_TO_ADD                     \n\n"
      printf "where:  FILENAME:    Name of the file to edit                           \n"
      printf "        PATH_TO_ADD: The path to add                                    \n\n"
      exit 1
      }

   # Initialize variables
   FileName  = ARGV[1]
   PathToAdd = ARGV[2]
   Line = ""
   TempLine = ""
   GoodLine = ""
   
   for (ii=0; ii<2; ii++)
      ARGV[ii] == ""

   
   # Parse the file: look for CONDITION

   ConditionIsFound = 0

   while( getline<FileName > 0)
   {
      Line = tolower($0)
      gsub(/^.path/,"path",Line)
      if ( index(Line,"path")==0 ) 
      {
         print > "tempfile"
      }
      else
      {
          if((index(Line,tolower(PathToAdd))!=0) )
          {
            ConditionIsFound = 1
          }
      }
   }


      
   close ( FileName )
   close ( "tempfile" )
   system("del tempfile")


   if(ConditionIsFound == 0)
   {
       
    #Must add to the path
       while( getline<FileName > 0)
       {
           TempLine = tolower($0)
           gsub(/^.path/,"path",TempLine)
           if ( index (TempLine, "path")==0  || ConditionIsFound == 1)
           {
               print > "tempfile"
           }
           else
           {
               ConditionIsFound = 1
               GoodLine=sprintf("%s;%s",$0,PathToAdd)
               print GoodLine > "tempfile"
           }
        }
        close(FileName)
        close("tempfile")
        system("copy tempfile "FileName"")
        system("del tempfile")
   }
   
}
 
