#------------------------------------------------------------------------------
# 
#   File Name: append.awk
# Description: GAWK.EXE script file 
#              Used by WInstall to edit files for a MIL installation under DOS
#              Append a string at the end of a line 
#     Version: 1.00
#        Date: October 96
#
#------------------------------------------------------------------------------
#
# COPYRIGHT (c) 1996 Matrox Electronic Systems Ltd.
# All Rights Reserved
#
#------------------------------------------------------------------------------
 

BEGIN {

   if (ARGC < 3)
      {
      printf "gawk -fsetup.awk FILENAME STRING TEXT   \n\n"
      printf "where:  FILENAME: Name of the file to edit\n"
      printf "        STRING:   String to look for      \n"
      printf "        TEXT:     Text to append        \n\n"
      exit 1
      }

   # Initialize variables
   FileName = ARGV[1]
   String   = ARGV[2]
   Text     = ARGV[3]
   
   for (ii=0; ii<2; ii++)
      ARGV[ii] == ""

   # Parse the file
   while( getline<FileName > 0)
   {
      if ( index ($0, String ) == 0)
      {
         print > "tempfile"
      }
      else
      {
         print $0Text > "tempfile"
      }
   }

   close ("tempfile")
   system ("copy tempfile "FileName"")
   system ("del tempfile" )
}
