@echo off

REM MATROX proprietary Compiler Tool V1.3
REM See imcc.hlp for a description of this tool.

if "%1" == ""   goto :HELP
if "%1" == "?"  goto :HELP

if not "%IMCCINIT%" == "" goto :IMCC_INIT
:RESET_INSTALL
if exist %RAMDRIVE%lock del %RAMDRIVE%lock >NUL
if "%RAMDRIVE%" == "" echo RAMDRIVE must be set to a default value i.e. d:\ or g:\
if "%RAMDRIVE%" == "" goto :_ERR3
if "%BATCH%" == "" if not "%GENESIS%" == "" set BATCH=%GENESIS%\util\
if not exist %BATCH%imcc.bat echo BATCH must be set to a default value to run imcc.bat properly
if not exist %BATCH%imcc.bat goto :_ERR3
if not "%OS%" == "Windows_NT" if not "%OS%" == "Windows_98" %BATCH%imccrun\ifexist %RAMDRIVE%
if "%OS%" == "Windows_98" %BATCH%imccrun.nt\ifexist %RAMDRIVE%
if "%OS%" == "Windows_NT" %BATCH%imccrun.nt\ifexist %RAMDRIVE%
if errorlevel 1 echo RAMDRIVE=%RAMDRIVE% is not a valid drive
if errorlevel 1 goto :_ERR3
REM Be sure BATCH and RAMDRIVE are in uppercase!
set BATCH=%BATCH%
set RAMDRIVE=%RAMDRIVE%
echo Setting imcc to run in %RAMDRIVE% ...

if exist %RAMDRIVE%lock echo Wait until resource is freed (please switch to the other imcc task)
if exist %RAMDRIVE%lock echo If no other imcc task, end batch with CTRL-C then delete file %RAMDRIVE%lock

:WAIT_UNTIL_FREED
if not exist %RAMDRIVE%lock goto :OK_TO_SET
goto :WAIT_UNTIL_FREED

:OK_TO_SET
echo This file is used to lock setup >%RAMDRIVE%lock

set DOBUILD=-r

copy %BATCH%imccrun\*.* %RAMDRIVE%. >NUL
copy %BATCH%imcc.bat %RAMDRIVE%. >NUL
if not "%OS%" == "Windows_NT" if not "%OS%" == "Windows_98" if exist c:\nfs\rsh.exe copy c:\nfs\rsh.exe %RAMDRIVE%. >NUL
if "%OS%" == "Windows_NT" if exist %WINDIR%\system32\rsh.exe copy %WINDIR%\system32\rsh.exe %RAMDRIVE%. >NUL
if "%OS%" == "Windows_98" copy %BATCH%imccrun.nt\*.* %RAMDRIVE%. >NUL
if "%OS%" == "Windows_NT" copy %BATCH%imccrun.nt\*.* %RAMDRIVE%. >NUL

%RAMDRIVE%gawk -f %RAMDRIVE%instcomp.awk %RAMDRIVE%
if errorlevel 1 goto :_ERR7
%RAMDRIVE%gawk -f %RAMDRIVE%setpath.awk >%RAMDRIVE%setpath.set
if errorlevel 2 goto :_EXIT1_ERR
if errorlevel 1 goto :_ERR7
call %RAMDRIVE%setenv %RAMDRIVE%setpath.set
if exist %RAMDRIVE%setpath.set del %RAMDRIVE%setpath.set >NUL
if exist %RAMDRIVE%lock del %RAMDRIVE%lock >NUL
echo setting done!
if "%1" == "/rst" goto :END

:IMCC_INIT
if not exist %RAMDRIVE%imcc.bat goto :RESET_INSTALL
if not "%0" == "%RAMDRIVE%imcc.bat" %RAMDRIVE%imcc.bat %1 %2 %3 %4 %5 %6 %7 %8 %9

if "%1" == "/N" goto :NESTED_MAKE

if exist %RAMDRIVE%obj\%OBJDIR%\rule.mak del %RAMDRIVE%obj\%OBJDIR%\rule.mak >NUL

:LOOP_PARAM
if "%1" == "/sts" goto :STAT_SWITCH
if "%1" == "/rst" goto :RESET_INSTALL
if "%1" == "/o"   goto :FORCE_OBJDIR
if "%1" == "/c"   goto :CONF_SWITCH
if "%2" == ""     goto :END_LOOP_PARAM
if "%1" == "/B"   set  DOBUILD=-a
if "%1" == "/B-"  set  DOBUILD=-r
if "%1" == "/d"   echo DEBUG=%1 >>%RAMDRIVE%obj\%OBJDIR%\rule.mak
if "%1" == "/d-"  echo DEBUG=%1 >>%RAMDRIVE%obj\%OBJDIR%\rule.mak
if "%1" == "/dig" echo DIG_ID=%2 >>%RAMDRIVE%obj\%OBJDIR%\rule.mak
if "%1" == "/s"   echo SRCDIR=%2 >>%RAMDRIVE%obj\%OBJDIR%\rule.mak
if "%1" == "/l"   echo LIBNAME=%2 >>%RAMDRIVE%obj\%OBJDIR%\rule.mak
if "%1" == "/r"   echo RSPFILE=%2 >>%RAMDRIVE%obj\%OBJDIR%\rule.mak
if "%1" == "/rev" echo REVISION=%2 >>%RAMDRIVE%obj\%OBJDIR%\rule.mak
if "%1" == "/ga"  echo GENASM=%1 >>%RAMDRIVE%obj\%OBJDIR%\rule.mak
if "%1" == "/np"  echo PAUSE=%1 >>%RAMDRIVE%obj\%OBJDIR%\rule.mak
if "%1" == "/op"  echo OPTIMIZE=%2 >>%RAMDRIVE%obj\%OBJDIR%\rule.mak
if "%1" == "/fd"  echo FASTTMPDRIVE=%1 >>%RAMDRIVE%obj\%OBJDIR%\rule.mak
shift
goto :LOOP_PARAM

:CONF_SWITCH
echo ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
echo   Presetting imcc for '%2'
echo ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%RAMDRIVE%gawk -f %RAMDRIVE%setpath.awk %RAMDRIVE%%2.set >%RAMDRIVE%setpath.set
if errorlevel 2 goto :_EXIT1_ERR
if errorlevel 1 goto :_ERR7
call %RAMDRIVE%setenv %RAMDRIVE%setpath.set
if exist %RAMDRIVE%setpath.set del %RAMDRIVE%setpath.set >NUL
if exist %RAMDRIVE%obj\%OBJDIR%\rule.mak del %RAMDRIVE%obj\%OBJDIR%\rule.mak >NUL
if "%3" == "" goto :END
shift
goto :LOOP_PARAM

:STAT_SWITCH
echo 'imcc' status ...
%RAMDRIVE%gawk -f %RAMDRIVE%stat.awk
if errorlevel 1 goto :_ERR7
%RAMDRIVE%gawk -f %RAMDRIVE%compset.awk "%RAMDRIVE%*.set"
if errorlevel 1 goto :_ERR7
if "%2" == "" goto :END
shift
goto :LOOP_PARAM

:FORCE_OBJDIR
if errorlevel 1 goto :_ERR7
echo !undef OBJDIR >>%RAMDRIVE%obj\%OBJDIR%\rule.mak
echo OBJDIR=%2 >>%RAMDRIVE%obj\%OBJDIR%\rule.mak
shift
goto :LOOP_PARAM

:END_LOOP_PARAM
if "%C_TOOLS%" == "" echo C_TOOLS must be set to a default value (use /c option)
if "%C_TOOLS%" == "" goto :_ERR3
if exist %RAMDRIVE%obj\%OBJDIR%\rule.mak type %RAMDRIVE%obj\%OBJDIR%\rule.mak
echo !include "%RAMDRIVE%obj\%OBJDIR%\allfile.src" >>%RAMDRIVE%obj\%OBJDIR%\rule.mak

:NESTED_MAKE
if "%1" == "/N"  shift
if "%1" == "/B"  shift
if "%1" == "/B-" shift
if "%2" == "/dig" echo DIG_ID=%3>>%RAMDRIVE%obj\%OBJDIR%\rule.mak

REM Create allfile.src that specify H_DEP and FNAME for make
REM and include objpath.rul if defined.
%RAMDRIVE%gawk -f %RAMDRIVE%chkfile.awk %1 %RAMDRIVE%obj\%OBJDIR%\allfile.src
if errorlevel 4 goto :_EXIT2_ERR
if errorlevel 3 goto :_ERR8
REM ERR5 or ERR6 if errorlevel 2
if errorlevel 2 goto :_EXIT1_ERR
if errorlevel 1 goto :_ERR7

%RAMDRIVE%ifexist .\make\.
if errorlevel 1 goto :USE_DEF_MAKE

if not exist .\make\makefile goto :_ERR4
cd %RAMDRIVE%obj\%OBJDIR%\.
%RAMDRIVE%nmake /f .\make\makefile
if errorlevel 1 goto :_ERR1
goto :EXIT

:USE_DEF_MAKE
cd %RAMDRIVE%obj\%OBJDIR%\.
%RAMDRIVE%nmake %DOBUILD% /R /f %RAMDRIVE%makefile
if errorlevel 1 goto :_ERR2
if exist %RAMDRIVE%obj\%OBJDIR%\*.obj %RAMDRIVE%move %RAMDRIVE%obj\%OBJDIR%\*.obj %OBJDIR% >NUL
if exist %RAMDRIVE%obj\%OBJDIR%\*.o   %RAMDRIVE%move %RAMDRIVE%obj\%OBJDIR%\*.o   %OBJDIR% >NUL
goto :EXIT

:_ERR1
echo ERR1: During compilation/make batch process (nested level).
errimcc 1
goto :EXIT

:_ERR2
if not exist %RAMDRIVE%obj\%OBJDIR%\logname goto :_ERR2_1
if not exist %RAMDRIVE%obj\%OBJDIR%\tmp.log goto :_ERR2_1
%RAMDRIVE%gawk -f %RAMDRIVE%logname.awk <%RAMDRIVE%obj\%OBJDIR%\logname >%RAMDRIVE%obj\%OBJDIR%\logcopy.bat
if errorlevel 1 goto :_ERR7
call %RAMDRIVE%obj\%OBJDIR%\logcopy.bat
:_ERR2_1
echo ERR2: During compilation/make batch process.
goto :_EXIT2_ERR

:_ERR3
echo ERR3: Environment variable(s) not set.
goto :_EXIT1_ERR

:_ERR4
echo ERR4: 'makefile' file don't exist in .\make directory
echo ERR4: Issue 'cmkfile' to create that makefile.
goto :_EXIT1_ERR

:_ERR7
echo ERR7: Fatal error in GAWK. Signal that error immediatly.
echo       If 'File creation error' is displayed try the following before
echo       resetting your machine. At the DOS prompt type:
echo           copy CON d:\tmp                    then RETURN
echo           'type a few char followed by'^Z    then RETURN
echo       CONsole pipe should be restablish. Else signal the error.
goto :_EXIT1_ERR

:_ERR8
cls
%RAMDRIVE%readme ..\log\srcfile.inf
echo ERR8: File name is identical to one already choosen.
echo       See previous lines from file ..\log\srcfile.inf
echo       Unset CHECKINF to disable checking (not recommended).
goto :EXIT

:_EXIT2_ERR
REM MAKEFLAGS set only when in nested mode
if "%MAKEFLAGS%" == "" errimcc 1
if "%MAKEFLAGS%" == "" goto :EXIT
choice /C:sc /T:c,5 Stop or Continue
if errorlevel 2 errimcc 0
if errorlevel 1 errimcc 1
goto :EXIT

:_EXIT1_ERR
if exist %RAMDRIVE%lock del %RAMDRIVE%lock >NUL
echo       Do 'imcc ?' for help.
pause
errimcc 1
goto :EXIT

:HELP
if "%BATCH%" == "" echo BATCH not set. Set BATCH to path where imcc.bat is found.
if "%BATCH%" == "" echo c:\genesis\util\ for example.
if "%BATCH%" == "" goto :END
cls
if "%IMCCINIT%" == "" goto :NETHELP
%RAMDRIVE%readme %RAMDRIVE%imcc.hlp
%RAMDRIVE%gawk -f %RAMDRIVE%compset.awk "%RAMDRIVE%*.set"
if errorlevel 1 goto :_ERR7
goto :END

:NETHELP
%BATCH%imccrun\readme %BATCH%imccrun\imcc.hlp
%BATCH%imccrun\gawk -f %BATCH%imccrun\compset.awk "*.set"
if errorlevel 1 goto :_ERR7
goto :END

:EXIT
set DOBUILD=-r

:END
