# --------------------------------------------------------------------------
function GetEnviron(var)
{
   if (var in ENVIRON)
      return(ENVIRON[var])

   _var_ = tolower(var)
   for (varndx in ENVIRON)
      {
      if (tolower(varndx) == _var_)
         return(ENVIRON[varndx])
      }

   return("")
}

BEGIN {

   if (ARGC < 2)
      {
      printf "gawk -f crrev.awk {NOLIB} {RAMDRIVE} [REVISION] [[OBJDIR]]\n"
      printf "crrev [[NOLIB]] [[RAMDRIVE]] [REVISION] [[OBJDIR]]\n"
      printf "      Where REVISION is the revision directory and\n"
      printf "      optionnaly OBJDIR specify under which Object directory\n"
      printf "      revision directory is created.\n"
      printf "      If OBJDIR is not specified it use the default one.\n"
      printf "      If flag no NOLIB is used, libname.rul is not copied.\n"
      exit 1
      }

   argIndex = 1

   noLib = tolower(ARGV[argIndex])

   if (noLib == "nolib")
      argIndex++
   else
      noLib = ""


   inRamDrive = tolower(ARGV[argIndex])

   if (inRamDrive == "ramdrive")
      argIndex++
   else
      inRamDrive = ""


   revision = tolower(ARGV[argIndex++])
   whichDir = tolower(ARGV[argIndex++])

   for (ii=0; ii<argIndex; ii++)
      ARGV[ii] == ""

   if (whichDir == "")
      {
      nbf = split(GetEnviron("OBJDIR"), objDir, "\\")
      whichDir = objDir[nbf]
      }

   printf "Create revision directory for '%s' (may be long) ...\n\n", whichDir > "CON"

   if (!inRamDrive)
      {
      CurrentWorkingDir = tolower(getcwd())
      gsub(/\\$/, "", CurrentWorkingDir)
      }

   else
      {
      CurrentWorkingDir = GetEnviron("RAMDRIVE")
      }

   split(CurrentWorkingDir, curWorkDir, ":")
   CWD = curWorkDir[1]":"

   split(GetEnviron("RAMDRIVE"), curWorkDir, ":")
   RAMDRIVE = curWorkDir[1]":"

   for (ii in curWorkDir)
      delete curWorkDir[ii]

   print "REM This file is created automatically by crrev.bat and crrev.awk"

   PipeTmp = RAMDRIVE"crrev.pip"
   system("dir /AD /s /B /l "CurrentWorkingDir">"PipeTmp)

   while (getline<PipeTmp > 0)
      {
      nbf = split($0, line_in, "\\")

      for (ii=nbf-1;  ii > 0; ii--)
         {
         if (index(line_in[ii], "obj") == 1 && line_in[ii+1] == whichDir && ii+1 == nbf)
            {
            if (ifexist($0"\\"revision) == 0)
               {
               printf "." > "CON"
               print "echo Create directory "$0"\\"revision
               print "md "$0"\\"revision
               if (noLib != "nolib" && revision != "rul" && ifexist($0"\\rul") != 0 && ifexist($0"\\rul\\libname.rul") != 0)
                  print "copy "$0"\\rul\\libname.rul "$0"\\"revision" >NUL"

               print ""
               }
            }

         }
      }

   close(PipeTmp)   
   system("del "PipeTmp">NUL")
   
   printf "\n" > "CON"
   printf "done!\n" > "CON"
}
